v2.39.0
=======
WebDriver:
 * Update to support native events for Firefox 26.
 * Removed server side of iPhone driver.
 * Removed server-side of AndroidDriver and deprecating client side.

WebDriverJS:
 * FIXED: 6686: Changed Deferred#cancel() to silently no-op if the
   deferred has already been resolved.

v2.38.0
=======
WebDriver:
  * Update to support native events for Firefox 25.
  * Updated httpclient and httpcore maven dependencies
  * When moving the mouse relative to an element hidden in a parent's
    overflow region, that element must first be scrolled into view
    before the mouse move can be completed.
  * Removed WindowsProxyManager from InternetExplorerDriver, proxy
    management is implemented in IEDriverServer now.
  * The logging level for the FirefoxDriver's native components can now
    be set from the command line with the SELENIUM_LOG_LEVEL
    environment variable. Valid values are ERROR, WARN, INFO, DEBUG,
    and TRACE. If the value is not set, or an unrecognized value is
    specified, the log level will be set to FATAL (which was the
    previous behavior).
  * Implemented ability to return Date object from executeScript
    (Firefox only).
  * Fixed Firefox returning the actual state of nativeEvents.
  * Made it possible to switch the webdriver.xpi from the command line
    using a system property.
  * Removed hardcoded chromedriver version
  * SafariDriver WebElement#getTagName() should return a lowercase
    string.
  * If ChromeDriver fails to start, suppress any exceptions from the
    subsequent "clean-up" quit() so the error from start is not lost.
  * Added an alternate, and Android-friendly, implementation of the
    Augmenter that uses JDK interface proxies instead of cglib. This
    new implementation is available as org.openqa.remote.JdkAugmenter;
    the default Augmenter implementation still relies on cglib.
  * Prevented an infinite loop when computing overflow state when the
    documentElement has fixed position.
  * Improveed logging for UnixProcess#destroy().
  * If an error is thrown while typing a key sequence, return that
    error to the client. Prior to this change, the driver would
    effectively hang.
  * Do not attempt to generate a key event if the target element is no
    longer attached to the DOM. nsIPressShell (which is used to
    dispatch events) will throw a generic NS_UNEXPECTED_ERROR if we
    fail to make this check.
  * FIXED: 3107: (On behalf of Ross Patterson) Preventing possible NPE.
  * FIXED: 4501: (On behalf of Robert Ambrus) Introduced a system
    property org.openqa.jetty.SocketListener.bufferSize that allows to
    set the size of the buffer Jetty uses for network communications.
  * FIXED: 4698: Added missing expected conditions.
  * FIXED: 5295: User defined element properties should be retrievable
    with getAttribute.
  * FIXED: 5900: Revamped the SafariDriver's internal networking.
  * FIXED: 6294: Implemented ability to switch to a frame by id or name
    in WDBS.
  * FIXED: 6358: Disabled Content Security Policy in Firefox.
  * FIXED: 6414: Fixed the way EventFiringWebDriver unwraps the
    underlying driver.
  * FIXED: 6431: Catch an exception thrown if the chrome executable is
    not found and stop chromedriver before propagating it.
  * FIXED: 6445: Shortened Firefox profile textual representation in
    capabilities.
  * FIXED: 6473: Implemented ability to pass --verbose option to
    chromedriver.

WebDriver JS:
  * Always annotate errors for rejected promises
  * FIXED: 6284: Omit x/y offsets from the mouseMove command instead of
    defaulting to (0,0).
  * FIXED: 6471: Correctly document the contract on
    WebElement#getAttribute
  * FIXED: 6612: On Unix, use the default IANA ephemeral port range if
    unable to retrieve the current system's range.
  * FIXED: 6617: Checking for Error.captureStackTrace is sufficient to
    determine if an environment supports stack traces. This avoids
    unnecessarily triggering debuggers configured to halt when an error
    is thrown.
  * FIXED: 6627: Safely rebuild chrome.Options from a partial JSON spec.

Grid:
  * FIXED: 6357: Added PhantomJS icon to the grid console.
  * FIXED: 6392: Removed misleading log messages.

RC:
  * FIXED: 1666: Fixed typo in RegExp.test function name.
  * FIXED: 1758: Ignoring closed windows when collecting attributes
    from all windows (RC).
  * FIXED: 2508: Fixed screenshot size calculation for quirks mode (RC)
  * FIXED: 2845: Moved storedVars from test case level to test suite
    level.
  * FIXED: 3185: Fixed JSON converter (RC).
  * FIXED: 3270: Fixed switch to window by var= locator (RC).
  * FIXED: 5103: Fixed screenshooter in Firefox and Selenium RC,
    limiting the size of the screenshot to pevent failures.
  * FIXED: 6496: Enabled .htm and .xhtml extensions for test suites.

v2.37.0
=======
  * Fix Firefox native event support on Linux for 23 & 24.

v2.36.0
=======
WebDriver:
  * Updated Firefox native event components to support Firefox 24.
  * Updated HtmlUnit to 2.13.
  * Updated HttpClient to 4.3.
  * Updated version of Guava to 15.
  * Updated version of wgxpath.
  * Return an empty string instead of "null" when the browserName and
    version capabilities are not set.
  * Stop propagation of the webdriver-evaluate custom event when
    executing user supplied JavaScript. Without this change, the event
    handler will trigger twice for async scripts, causing the driver to
    attempt to evaluate the user script twice, leading to unpredictable
    behavior.
  * Added a new pause action to the interactions API.
  * Improved support for using the HTML5 APIs through the remote
    server by augmenting the session driver before attempting to
    access HTML5 capabilities.  If the driver does not support the
    requested feature, throw an UnsupportedCommandException instead of
    a ClassCastException.
  * Implemented elementScrollBehavior capability in FirefoxDriver.
  * Fixed getLocation to work on scrolled pages.
  * Fixed autoscrolling for elements located in frames.
  * Fixed drag-n-drop for elements in frames in Firefox with native
    events
  * Implemented SOCKS proxy support for FirefoxDriver
  * Fixed support for SVG documents in the atoms.
  * Fixed computing an element's container dimensions to account for
    the scrollbar size when scrolling
  * FIXED: 2670: Made subclasses of By serializable.
  * FIXED: 6200: Pass command line arguments to the Selenium server
    instead of to the JVM.
  * FIXED: 6293: Added more informative error message.
  * FIXED: 6346: Allow args to passed to the JVM using the jvmArgs
    option.

Grid:
  * Added ability to fetch slotCounts from /grid/api/hub. The resource
    looks like this:
    
        { "slotCounts": { "total": 20, "free": 8 } }

  * Added ability to fetch newSessionRequestCount from the
    /grid/api/hub resource.


v2.35.0
=======
WebDriver:
  * Updated Firefox native event components to support Firefox 23.
  * Removing deprecated interactions interfaces (Keyboard, Mouse,
    TouchScreen).
  * Updated operadriver to 1.4.
  * Introduced ie.setProxyByServer capability to select how IE browser
    proxy will be set up, either by old Java code using Windows
    registry or inside IEDriverServer using WinINet methods. This
    capability is marked as deprecated and will be removed in future
    versions. In the future, IE proxy settings will be set up only by
    IEDriverServer. Current default value of ie.setProxyByServer is
    false so Windows registry will be used for IE proxy setup.
  * Guarded around IE returning an empty object for the active element.
  * FIXED: 6055: Fixing "invalid xpath" issue, actually invalid NS
    resolver.

WebDriver JS:
  * FIXED: 6079: The parent process should not wait for spawned driver
    service processes (chromedriver, phantomjs, etc.)

v2.34.0
=======

WebDriver:
  * Updated Firefox native event components to support Firefox 22.
  * Update synthesized mouse implementation. Mouse moves are
    implemented using nsIDOMWindowUtils.
  * Finding libX11.so.6 in a slightly more intelligent way: Check that
    dlopen actually succeeds, if not found in one of the fixed paths,
    look in the LD_LIBRARY_PATH.
  * Added ExpectedConditions to check for the visibility of all
    WebElements in a List
  * Updated the wgxpath library.
  * Updated our copy of the Closure compiler and library to the most
    recent versions.
  * Updated the atoms library, including support for MS pointer events
    and refinements to element visibility tests.
  * Close all open connections when stopping the SafariDriver server.
  * Fall back to a loopback address if the current machine does not
    have an external IP address (as will be the case when there is no
    internet connection).
  * Remove sizzle dependency from the firefox driver. We only needed
    this for versions of firefox prior to 3.5, which we no longer
    support.
  * Fixed Select.escapeQuotes method.
  * Added SafariOptions and support for custom Safari extensions.
  * Moved Mouse, Keyboard and TouchScreen to the interactions package
    where they belong. This has the benefit of also making our build
    files simpler once we delete the original versions which have been
    deprecated.
  * Deprecated the HasTouchScreen interface.
  * Fixed condition in Select.select_by_index method to fix case when
    selection is performed by index on a multiple select element.
  * Implemented an alpha version of a Marionette (WebDriver implemented
    natively in Firefox) driver.
  * Deprecated IPhoneDriver.
  * Added support for the HTML5 "hidden" attribute. If an element, or
    ancestor, has hidden attribute make, it is not shown.
  * FIXED: 2285: Allow setting default logLevel for standalone-server.
  * FIXED: 5609: Adding the ability to redirect firefox process output
    to file.
  * FIXED: 5669: Add Driver#remote_status for the Ruby remote driver.
  * FIXED: 5715: Adding toString method for the event firing
    webelement.

WebDriver JS:
  * When capturing console output, guard against user scripts that 
    redefine the console global.
  * Improved logging in the test client.
  * Use goog.labs.testing.assertThat for the assertThat library.
  * Improved stack trace handling
  * Defined a webdriver.Capabilities class for webdriverjs.
  * Added native ChromeDriver support to WebDriverJs.
  * Mark discarded tasks as cancelled to prevent hanging on
    asynchronously scheduled callbacks.
  * Include the webdriverjs tests in the built npm package. Updated
    the README with instructions for running the tests using npm.
  * Add native PhantomJS support to webdriverjs.

Grid:
  * Update grid for change in behavior of WebDriver's new session
    command.
  * Fixed handling of JSON conversion errors at node.
  * FIXED: 5942: Fix hang of hub when node machine is not available.

RC:
  * Fixed RC tests failing in Firefox beta builds. This has been fixed
    in two ways:

    * Rely on the automation atoms where possible.
    * Obtain the document and window from the element the event is
      firing from.

    In the course of fixing this, all but one usage of "triggerEvent"
    was replaced. Because of this, the method has been inlined to the last
    call site.
  * FIXED: 1646: UTF-8 encoded user-extensions.js support.


v2.33.0
=======

WebDriver:
  * getText() ignores elements in the <head>
  * Bundled OperaDriver version bumped to 1.3.
  * Added a FindAll annotation for the PageFactory to use.
  * Added a toString() implementation to Color.
  * Deleted the Selenium-backed WebDriver.
  * FIXED: 2218: IE >=9 versions triggerMouseEvent like other
    browsers.
  * FIXED: 2610: Implementing ability to specify path to the chrome
    executable in the node configuration file using chrome_binary
    capability.
  * FIXED: 2685: Increasing port range for Firefox to chose from when
    starting.
  * FIXED: 4790: Improvements made to Firefox startup in highly
    concurrent environments.
  * FIXED: 5045: Added support for fetching logs from SafariDriver.
  * FIXED: 5652: Adding unhandled alert text to the exception message.
  * Added LogType.PERFORMANCE, supported in chromedriver2 0.9+.

WebDriver JS:
  * FIXED: 5511: Implement
    driver.manage().timeouts().pageLoadTimeout(ms) for WebDriverJs.
  * FIXED: 5632: It's now possible to create a new session with
    WebDriverJs when running in a browser.
  * Add a WebDriverJs client to the SafariDriver's logging window so
    it's possible to use WebDriver from the devtools REPL on that
    page.

Grid:

  * Making "beta" console the default one, it's time to get out of
    beta status
  * Old console is now available at /grid/old/console/
  * Addressed memory leaks caused by per-session logging.
  * FIXED: 3001: Making Selenium the default protocol if a node was
    started with "-role rc" option.
  
RC:
  * FIXED: 3636: selenium.fireEvent works with the webdriver-backed
     selenium and IE.
  
v2.32.0
=======

WebDriver:
  This release supports Firefox verions: 10esr, 17esr, 19, 20

  * Let WindowsUtils.killPID() kill the whole process tree
  * Implementing support for implicit "submit" button type in
    HtmlUnitDriver.
  * bug fix for python hang with 302 response
  * Adding better support for SVG within Firefox. Has better scrolling
    to element and allows JavaScript execution
  * Fixing case of "no active element" for HtmlUnitDriver
  * WindowsUtils.kill() fix on Windows 8
  * Updating HtmlUnit to 2.12 (and cssparser to 0.9.9)
  * Fixing illegal negative timeout values for HtmlUnitDriver, zero
    means infinite wait
  * Implementing pageLoadTimeout in HtmlUnitDriver
  * Allow users to specify a custom location for Safari's data
    directory using the "safari.dataDir" capability.
  * Fix for using DesiredCapabilities with WebDriverBackedSelenium
  * PhantomJS Driver bindings updated to 1.0.3
  * Minimize the number of third party libraries used by the very
    heart of the remote webdriver server.
  * fix issue where server was appending '?null' to all forwarded
    requests
  * Issues fixed: 5293, 4902, 5283, 5278

v2.31.0
=======
  (summary not created, check version history logs)

v2.30.0
=======

WebDriver:
  * Fixing a bug introduced by a change in how we get already logged
    messages from the console service in firefox. This allows us to
    function with firefox 19
  * FIXED: 1181: Improved loopback detection
  * FIXED: 1627: Implementing ability to use auto proxy in
    HtmlUnitDriver.
  * FIXED: 3652: moveToElement with offset should consider 0 as a
    valid value, not as "undefined".
  * FIXED: 3868: Better ephemeral port range selection.
  * FIXED: 4107: Added prebuilt version of the SafariDriver extension
    to the client jar.
  * FIXED: 4821: WebDriverBackedSelenium works when added to project
    via maven.
  * FIXED: 4940, 5075: Added iceweasel to list of firefox variants.
  * FIXED: 5022: Text node with overflow:hidden and height/width 0 to
    not be visible since we cant see them.
  * FIXED: 5030: Only send files to upload, not directories.
  * FIXED: 5079: FluentWait.until(Predicate) method does not propagate
    predicate message.
  * FIXED: 5109: We should show elements visible if there is a pixel
    visible.
  * Semi-private change: Changes in the Coordinate class.

JS:
  * Update WebDriverJS to support parallel flows.  This change renames
   several low-level classes and functions in the promise module:
    
      promise.Application                                 -> promise.ControlFlow
        #schedule(string, function)                       ->   #execute(function, [string])
        #scheduleTimeout(string, number)                  ->   #timeout(number, [string])
        #scheduleWait(string, function, number, [string]) ->   #wait(function, number, [string])
   
    The old schedule* functions are still present, but will print a
    warning message if called. They will be removed in 2.31.

RC:
  * Added ability to use relative path to an -htmlSuite file.
  * FIXED: 3498: Proxy based browsers are back to normal on HTTPS
  * FIXED: 5113: Implementing GET requests support for RC protocol.


v2.29.0
=======

WebDriver:
  * Firefox 18 support.
  * IEDriver supports "requireWindowFocus" desired capability. When
    using this and native events, the IE driver will demand focus and
    user interactions will use SendInput() for simulating user
    interactions. Note that this will mean you MUST NOT use the
    machine running IE for anything else as the tests are running.
  * Use the "webdriver.remote.shorten_log_messages" system property to
    reduce the verboseness of ouput from executeScript and
    executeAsyncScript when using the RemoteWebDriver.
  * Switching HtmlUnitDriver default from FIREFOX_3_6 to FIREFOX_10
  * SafariDriverExtension should restore Safari's previous settings on
    shutdown.
  * Bundled version of PhantomJSDriver bumped to 1.0.1
  * Updated the version of guava-libraries used to 14.
  * Updated HtmlUnit to 2.11
  * Deprecated XPathLookupException in favour of
    InvalidSelectorException
  * FIXED: 3602: Changing IE view port calculations to allow for
    always-present vertical scroll bar, and to test for horizontal
    scroll bar and adjust as required by page content.
  * FIXED: 4576: self registering proxy now check for user specified
    proxy id.
  * FIXED: 5010: icons in chrome newtab now correctly identified as
    being shown.

RC:
  * FIXED: 4818: Make sure that each generated SSL cert has a unique
    ID associated with it.

Project:
  * Moved to git. Most obvious in revision number in our exceptions.


v2.28.0
=======

WebDriver:
  * "null" can now be passed to executeScript
  * .Net: Corrected FileUtilities.FindFile() to correctly return the
    current directory if the specified file is located there.
  * .Net: Introduces the Updating the CustomFinderType property to the
    .NET FindsByAttribute. This allows use of custom By subclasses in
    the PageFactory. The custom finder must be a subclass of By, and
    it must expose a public constructor that takes a string argument.
  * SafariDriver: better attempts to catch native dialogs from user
    defined onbeforeunload handlers.
  * Updating HtmlUnit to 2.11
  * Added the PhantomJS bindings to the release. You'll still need to
    download PhantomJS itself separately.

RC:
  * Implemented getAllWindowNames in WebDriverBackedSelenium
  * Implemented openWindow in WebDriverBackedSelenium to allow opening
    relative URLs


v2.27.0
=======

WebDriver:
  * Added support for native events for Firefox 17. 
  * Added support for ghostdriver (PhantomJS)
  * Adding new capability "enableElementCacheCleanup" to the IE
    driver. When set to true, the IE driver will clean the
    known-element cache of invalid elements after every page
    load. This is intended to keep memory usage down and improve
    performance. However, it is an intrusive change, so this
    capability is provided temporarily to allow disabling this
    behavior if problems arise. The default of this new capability is
    "true", meaning this behavior is turned on by default.
  * Added shift key handling to the synthetic keyboard actions.
  * Modifying scroll behavior in IE driver SendKeysCommandHandler to
    call Element::GetLocationOnceScrolledIntoView() instead of calling
    the DOM scrollIntoView() function. Should result in less page
    scrolling during test runs.
  * Checking if CSS transforms on elements, or their parents, are
    hiding them and therefore returning they arent visible.
  * Add not, refreshed, invisibilityOfElementWithText to
    ExpectedConditions.
  * Added support for new IE10 pointer events.
  * FIXED: 1543: Allowing equal sign in a cookie value.
  * FIXED: 2103, 3508: Modified to no longer hang on alerts triggered
    by onchange of <select> elements or by onsubmit of <form>
    elements.
  * FIXED: 2035: Returning a simple result (null) after opening a new
    window instead of the window object (that can't be serialized to
    JSON).
  * FIXED: 2353: Only call blur() for IE if the element is not the
    <body> element.
  * FIXED: 3043: Better error message reporting when browser launch
    fails.
  * FIXED: 4490: Checking script evaluation result to prevent null
    reference exception.
  * FIXED: 4736: Added all of the extended colour keywords to the
    Colors enum in support of
    http://www.w3.org/wiki/CSS3/Color/Extended_color_keywords.
  * FIXED: 4800: Fixed calculation of coordinates for elements in
    frames/iframes where the element is scrolled out of view within
    the frame.

Grid:
  * FIXED: 3818: Generating session identifiers with UUID to prevent duplication.

RC:
  * FIXED: 4668: Fixing ability to open relative URLs in WDBS.
  * FIXED: 4273: Added getCssCount to the list of the methods
    supported by WebDriverBackedSelenium.
  * FIXED: 4055: WDBS implementation of getValue for radio buttons now
    reflects behaviour of RC.
  * FIXED: 4784: Processing locators before use in getCssCount and
    getXpathCount.


v2.26.0
=======
WebDriver:
  * Updated OperaDriver to 0.15.
  * Added transparency support to the Color class.
  * Increased lock time a bit for the FirefoxDriver to make tests more 
    stable on Windows.
  * Added the enablePersistenHover capability to allow the user to specify
    whether to use the persistent hover thread in the IE driver. Defaults
	to true for IE.
  * Added support for native events for Firefox 15 and 16.
  * Removed deprecation from ChromeDriver constructors that take a Capabilities
    object. Also added a method to set experimental options in ChromeOptions
	which may be used to set options that aren't exposed through the ChromeOptions
    API.
  * Fixed SafariDriver to allow calling .quit() consecutively without error.
  * Modified FirefoxDriver to use atoms to switch between frames.
  * FIXED: 4535: Hover still does not work perfectly in IE.
  * FIXED: 4676: Unable to fire javascript events into SVG's. 
  * FIXED: 4320: Impossible to IE run tests in parallel via TestNG.
  * FIXED: 4309: 'Could not convert Native argument arg 0' error with Firefox.
  * FIXED: 4593: Alert.accept() Cancels the Resend Alert/Dialog Box.
  * FIXED: 4321: Upgrade HtmlUnitDriver to HtmlUnit 2.10.
  * FIXED: 4639: Webdriver 2.25 fails to quit on Windows.
  * FIXED: 3774: New SafariDriver sessions do not come with a clean profile.
  * FIXED: 4375: Executing javascript hangs Firefox.
  * FIXED: 4203: Java SafariDriver has limited websocket frame size.
  * FIXED: 4165: WebDriver fails on a machine with no IP address.
  * FIXED: 3969: SafariDriver should auto-dismiss alerts.

WebDriverJS:
  * FIXED: 4648: findElement errros not helpful.
  * FIXED: 4687: webserverjs cannot find module in node.js.
  * FIXED: 4649: Wrong Content-Length calculation in webdriverjs.
  * FIXED: 4425: Webdriver.js regression: webdriver.By.* selectors defect when
    using Node.js.

Grid:
  * FIXED: 4433: NPE at grid launch if invalid servlet class name is specified.
  * FIXED: 4526: elenium node stop responding when there are 2 or more tests
    waiting for a specific node.
  * FIXED: 2549: "-role hub" doesn't allow Firefox to starts.

v2.25.0
=======
WebDriver:
  * Added API for dealing with BASIC and DIGEST authentication
    dialogs. Currently not implemented in any drivers.
  * Warn users that the IE driver will no longer use the DLL in the
    next release.
  * Deprecated browser specific WebElement subclasses.
  * Added support for "requiredCapabilities" to the remote webdrivers
    and implemented basic support for these in the firefox
    driver. Failure to fulfull a required capability will cause a
    SessionNotCreatedException to be thrown.
  * Added the ability to determine how unhandled alerts should be
    handled. This is handled by the "unexpectedAlertBehaviour"
    capability, which can be one of "accept", "dismiss" or
    "ignore". Java code should use the UnexpectedAlertBehaviour
    enum. This is only implemented in Firefox for now.
  * Allow native events to be configured in Firefox and
    (experimentally) in IE using the "nativeEvents" capability.
  * Updated supported versions of Firefox to 17.
  * Firefox driver will enumerate through client rects until finding
    one with non-zero dimensions when clicking.
  * Better support for hovering on linux.
  * Safari driver will dismiss open alerts to prevent tests from
    hanging.
  * Better handling of overflow edge cases when determining element
    visibility.
  * Point users in the right direction when Safari fails to load a
    file:// URL.
  * Allowed to use IEDriverServer logging abilities in Java binding.
  * Avoid an issue where a call to submit could hang the firefox
    driver.
  * FluentWait will now handle any Throwable, not just
    RuntimeExceptions.
  * FIXED: 3897: Allow windows to be resized from a frame.

WebDriverJS:
  * Better stack traces from test code.
  * Update webdriver.atoms.element.type to recognize
    webdriver.Key.SEPARATOR

RC:
  * Better emulation provided by the WebDriver-backed Selenium when
    using IE, particularly when emulating firing of events.

Grid:
  * FIXED: 3230: Implementing /lifecycle-manager?action=shutdown
    command for the Grid Hub to ensure backward compatibility with
    Grid1 behaviour.

Selenium Server:
  * Reworked SSL certificate generation code when proxying HTTPS
    connections to use non-deprecated APIs in BouncyCastle.

v2.24.1
=======
WebDriver:
  * Work has started on a basic performance profiler.
  * Java bindings: The Color class now supports more color conversions.
  * Failure to click on an element in the IE Driver will yield a more meaningful
    error.
  * FIXED: 3268: setting a cookie without one of the optional values (secure)
    null pointers through remote webdriver
  * FIXED: 1584: bot.dom.getVisibleText does not properly handle display:run-in
    or display:table.
  * FIXED: 4071: IE: JVM/IEDriverServer Crash when the current window is closed
    without switching to another window.
  * FIXED: 3683: WebDriver (selenium server) does not use user specified proxy PAC file for IE.
  * FIXED: 4070: Dot-net bindings: == oprerator fails if first argument is null.
  * FIXED: 4064: Selenium2 crash on IE8 when S_FALSE is returned from get_Document.
  * FIXED: 3945: The SafariDriver hangs if an iframe is deleted while it is selected.
  * FIXED: 3892: WebdriverJS: Need support mouse events
  * FIXED: 3198: Cannot take screenshot from IPhoneDriver in Java

v2.23.1
=======

Selenium RC:
  * Support for Firefox 13 on windows with RC api

v2.23.0
=======

WebDriver:
  * Firefox 13 support
  * CSS Selectors now allow compound selectors
  * SafariDriver is (still) in Beta, annotated accordingly in Java
  * FIXED: 3785: Implicit waits for Safari driver
  * FIXED: 1225: Get text is handled appropriately for self-closing tags.

v2.22.0
=======

Project:
  * Code grant from Google acknowledged in our copyright
    headers. Thanks, Google!

WebDriver:
  * JRE dependency upped to Java 6.
  * IE driver now uses the IEDriverServer. You may need to download
    this. Set the "useLegacyInternalServer" to boolean true if you
    need the old behaviour.
  * Standardized colour values returned from getCssValue are
    normalized to RGBA.
  * IE can use synthesized events if the capability
    "enableNativeEvents" is set to false. This is experimental and not
    expected to work properly.
  * Native events added for Firefox 12. 
  * Native events retained for Firefox 10, 11, and 3.x
  * Selenium-backed WebDriver can now return WebElements from
    executeScript.
  * With WebElement.getAttribute() a boolean attribute will return
    "null" if not present on an element.
  * A NoSuchWindowException will be thrown if the currently selected
    window is closed and another command is sent.
  * SafariDriver improved: frame switching, snapshot taking and JS
    executing added.
  * SafariDriver: changed message protocol. The 2.22.0 SafariDriver will
    not be backwards compatible with Selenium 2.21.
  * FIXED: 185: Appending screenshots to remote exceptions is now
    optional. Controlled via the "webdriver.remote.quietExceptions"
    capability.
  * FIXED: 1089: Style attributes are no longer lower-cased by default.
  * FIXED: 1934: Firefox cleans up temporary directories more effectively.
  * FIXED: 3647: WebElement.sendKeys now works in Firefox on XHTML pages.
  * FIXED: 3758: Maximize windows from inside a frame works as expected.
  * FIXED: 3825: Alerts from a nested iframe are now handled properly.

Grid:

  * Fixing Firefox profile extraction if a grid node started from a
    network location (UNC path)

Atoms:
  * bot.actions.type now works as expected in Firefox 12.
  * Introduced better mouse and keyboard abstractions
  

v2.21.0
=======

WebDriver:
  * Safaridriver has now been added !
  * Issue 3489, maximize the browser window
  * Significant stability improvements in firefoxdriver.
  * Issue 3357 log-path for chromedriver
  * IE driver issue 3360
  * Android driver issue 3504
  * Firefox issue 3559, max-connections-per-server
  * Issue 3520
  * Issue 2826
  * Native events support for Firefox 11
  * Dropped native events support for Firefoxes 4-9

Grid:
  * Significant changes in the timeout strategy0 between hub, nodes and browser.
    See http://code.google.com/p/selenium/wiki/Grid2 section on timeouts.
    Compatibility note: It is recommended to at least update the nodes
    to 2.21. Upgrading only the hub will effectively disable the 
    browser-death timeout and is *not* recommended.
  * Improved error messages on console
  * Content length issue solved, Issue 2362
  * Issues 3328,3366
  * Improvements in thread dumps in both hub and node,
    possible to corrolate the two.
  * Added hub api to query parameters

Server:
  * -browserTimeout <timeoutInSeconds> added to
    differentiate between browser hang and client gone (which is
    -timeout <timeout>)
    - System property -Dselenium.server.timeout removed, use -timeout instead.
    See http://code.google.com/p/selenium/wiki/RemoteWebDriverServer 
    for further details.
    * Issue 3577


v2.20.0 
=======

WebDriver:
  * RemoteWebDriver.setLogLevel is no longer a static method.
  * Introduce a timeout for page loads. This needs to be used in
    conjunction with the unstable page load detection.
  * Adding alertIsPresent ExpectedCondition.
  * Turning off password saving in the Android driver.
  * FIXED: 3391: scroll containing elements, not just windows.
  * FIXED: 2211: Allow the http client factory to discover the proxy
    for traffic between the http command executor and the webdriver
    server via the normal system properties.

WebDriverJS:
  * Refactored the WebDriverJs promise manager to use a proper tree to
    track scheduled tasks.
  * In webdriver.Builder, default to http://localhost:4444/wd/hub if a
    server URL is not specified.

Grid:
  * JDK 1.6.1_31 recommended for maximum stability
  * The HUB is now upgraded to run with Jetty 7.6.1.
  * Making the id for proxy final, and allowing it to be specified
    from the registration request. If the id isn't in the request, the
    remote host is used as an id, as it was before.
  * FIXED: 3096: Memory leak in selenium hub.

RC:
  * More work on SSL certs. Should work cleanly in Firefox now.
  * FIXED: 1982: Clear an input element in such a way as to avoid
    firing any events when emulating typing in selenium
    emulation. Fixes issue 1982.

Atoms:
  * Submit a form when the enter button is pressed in its input
    element.
  * Add a "mouse pixel scroll" event to the atoms events module.
  * Adding a public "mouseOver" action and a little internal
    refactoring around the mouseOver functionality.


v2.19.0
=======

WebDriver: 
  * Server-side implementation of the webdriver-backed selenium.
  * "sendKeys" works in the webdriver-backed selenium when using
    safari.
  * Implement local/session storage for iOS driver.
  * Exceptions now thrown when an alert occurs during script
    execution.
  * Native events implemented for Firefox 10.
  * Renamed the experimental "fast" page loaded strategy "unstable"
    and disable queuing of commands when it's enabled.
  * Corrections to javadocs.
  * Disabled native events for Firefox 8 as it's deprecated by
    Mozilla.

RC:
  * Update cybervillains certificate (thanks to Ivan De Marino and
    Mark Watson @ Neustar)
  * Default to using the native xpath engine in selenium-backed
    webdriver instances.
  * Correctly fire events when outside a firefox extension

WebDriverJS:
  * Return a promise from webdriver.WebDriver.prototype.quit() so
    users may register callbacks.
  * Small tweaks so WebDriverJs works as expected in IE7/8.

Known Issues:
  * Holding down a modifier key and clicking with Firefox 10 on
    Windows does not work reliably when using native events.


v2.18.0
========

WebDriver:
  * FIXED: 3169: Getting value attribute on option elements.
  * Alert handling in Firefox and IE: Throwing UnhandledAlertException
    if an alert is present during an operation. The unhandled alert is
    also dismissed to mitigate repeat exceptions.
  * Better handling of getText invocations on SVG elements.
  * FIXED: 3253: Clicking stopped working on Firefox 4.
  * Android Driver now supports Flash, Geolocation.
  * FIXED: 1371: iPhone Driver now supports frame switching.

RC:
  * FIXED: 2958: Selenium RC now closes IE HTA when the tests finish.

WebDriverJs:
  * Fixes around findElements.

v2.17.0
========

WebDriver:
  * Removed deprecated methods
  * FIXED: 3152: iWebDriver will auto-play HTML5 video
  * Fixed issue with permissions on windows caused by wrapping
  * FIXED: 3154, 3144: Issues launching Firefox 9 due to modal dialog
  * Adding warning to android apk when used with an incompatible
    android version (issue 3142)
  * FIXED: 3167: Sending empty keys to a text field no longer throws
  * FIXED: 3173: Using ChromeOptions no longer causes stack exhaustion
  * FIXED: 3169: getAttribute("value") falls back to the text of
    option tags, if no value attribute is specified
  * Updated operadriver to version 0.9

Maven:

  * NOTE: We have removed our dependency on the operadriver from our
    pom, because it creates a circular dependency.  To use the
    operadriver, add the following dependency to your own pom.xml
    file:

    <dependency>
      <groupId>com.opera</groupId>
      <artifactId>operadriver</artifactId>
      <version>0.9</version>
    </dependency>

RC:
  * Bumped firefox support up to Firefox 12

Grid:
  * FIXED: 3161: Thread safety issues

Known issues:
  * Some issues around scrolling (3075, 3045, 3034)

v2.16.1
=======

RC:
  * FIXED: 3148: Allow IE to be launched.

v2.16.0
=======

WebDriver: 
  * Native events enabled for Firefox 9
  * The FirefoxDriver now enables apps to use offline storage by
    default.
  * ChromeDriver allows setting the chrome driver's environment more
    easily.
  * RemoteWebElement implementations now guarantee that the ID used to
    identify them. This allows "hashCode" and "equals" to be local
    operations in Java.
  * The PageFactory will now no longer decorate List<WebElement>
    fields unless annotated with a @FindBy.
  * By default, clicks will now be in the middle of elements.
  * RemoteWebDriver will use uncacheable GET requests to communicate
    with the remote webdriver server.
  * HtmlUnitDriver defaults to emulating Firefox 3.6.
  * FIXED: 2985: Calling quit() on the IE Driver in a shutdown hook
    will no longer kill the JVM.
  * FIXED: 2893: You can now pass a Map to executeScript when using
    Firefox.
  * FIXED: 1395, 2747, 2869, 2431: Upgraded version of CocoaHTTPServer
    to the latest and greatest.

WebDriverJS:
  * Test failures are now annotated with the task history.
  * JSONP support dropped in favour of CORS. For those browsers where
    CORS is not fully implemented, added a "/xdrpc" (cross-domain rpc)
    end-point.
  * Change the promise.Application event loop to run at a set interval
    instead of trying to explicitly trigger it at the appropriate
    times. This makes debugging much simpler.
  * WebDriverJS hub front-end now renders correctly in IE.

Grid:
  * It's now a beautiful butterfly.

RC:
  * IE HTA mode will now close the final window.
  * All windows are now opened as "resizable". This means that they
    should always open in new windows rather than tabs in IE.
  * *chrome mode can type into file input elements on Firefox 8+
  * WebDriverCommandProcessor has all constructors depending on the
    (deprecated) SuppliesWebDriver class marked as deprecated. Will be
    deleted in the next release.
 
Automation Atoms: 
  * Bug fixes and updates
  * Included a touchscreen abstraction
 
 
v2.15.0
=======
Project:
  * Code donation from Google.

WebDriver: 
  * Now supports up to and including Firefox 11.
  * Changed order of FirefoxProfile initialization attempts on a
    remote host: 1) try to load from capabilities, 2) try to load
    locally if webdriver.firefox.profile is specified, 3) create an
    empty profile.
  * Added the beginning of infrastructure for gathering logs from
    webdriver tests.
  * Added an UnreachableBrowserException.
  * Additional work on the WebDriver JS console.
  * Implicit waits now change how long we wait for alerts. This
    functionality will change in 2.16
  * FIXED: 2700: The infamous scrolling issue.
  * FIXED: 2816: ClassCastException when calling switchTo().alert().

Grid:
  * Grid now distinguishs between CLIENT_GONE and
    FORWARDING_TO_NODE_FAILED.
  * FIXED: issue where older RCs could not connect to a newer hub.

RC:
  * Selenium-backed WebDriver now uses atoms for typing.

Automation Atoms:
  * Significantly reworked input device abstractions.

Known Issues:
  * HTA mode for Selenium RC (*iexplore) leaves a browser window open.


v2.14.0
=======
WebDriver:
  * Deleted all deprecated methods in the Java API.
  * Client code cleaned to work with Java 5. Server code needs Java 6.
  * Added a front-end for executing WebDriverJS scripts. Point a
    browser at http://localhost:4444/wd/hub.
  * Can now query an Android driver for supported capabilities.
  * Updated JSON framework used in the iOS driver.
  * Fixed issue with scrolling on small viewports with native events
    in Firefox.
  * FIXED: 2889: FluentWait supports adding a custom message to
    timeout exception.
  * FIXED 2798: When implicit waits are enabled in the FirefoxDriver,
    stale element reference errors when searching for child elements
    are now handled properly
  * FIXED 2917: Preventing endless recursion in hashCode.

Server:
  * Memory leak fixed

Grid:
  * New beta console added.  
  * Grid nodes were leaking even more memory that regular server
    nodes.  
  * Fixed a scenario that used to lead to "session = null" errors.
  * Now support iOS nodes.

Known issues:
  * Continuing problems with element out of bounds exception being
    thrown.


v2.13.0
=======
Dependency change:
  * Selenium/webdriver java dependencies now use apache commons-exec
    (http://commons.apache.org/exec/) version 1.1. If you are using manual
    dependency management you will need to add this to your project.
    If you resolve via maven central (maven, ivy, gradle), this will
    be handled automatically.
WebDriver:
  * Recovering from null window references in the Firefox driver (#1438)
  * Make native events work correctly on Linux with the Python bindings (#2633)
  * Improved finding Firefox on Windows in the C# bindings (2818)
  * Screenshots in Python are now working (2829)
  * Exporting webdriver.promise from the Javascript API (2839)
  * Permission denied accessing some elements using the Firefox driver (2863)
  * Fixed typing into content editable elements with Firefox (2.12 regression)
  * Firefox is started in the forgeground on OS X. Focus / blur events now have
    higher chance of firing correctly on OS X.
  * Deprecated methods were removed from the FirefoxDriver and FirefoxProfile
    classes (saveScreenshot, enableNativeEvents, alwaysLoadNoFocusLib).
  * The amount of time a test can remain hanging is now capped (to 3 hours).

Grid:
  * Gracefully handle registration of old nodes in a new grid hub (#2738).
  * Releasing all the resources when a proxy is removed from the hub (#2768).

Known issues:
  * Synthesized mouse events are inaccurate (Affects Firefox driver users
    on OS X) (2281)
  * Invalid move target out of bounds exception thrown.2700
  * Dragged elements end up in the wrong location, with the Firefox driver,
    when scrolling is required (typically with small viewport) (2877)

v2.12.0
=======

RC
  * Disabled web security checks for Chrome by default. 
  * Actually reenabling *safariproxy.

WebDriver
  * Firefox 8 support enabled
  * Added @Beta annotation. Any method marked with this may be deleted
    or changed without notification.
  * Added @Beta Window control for Firefox in Ruby and Java. This
    allows resizing and moving.
  * Renamed FirefoxProfile.enableNativeEvents() to
    FirefoxProfile.areNativeEventsEnabled(). Deprecated original
    method. Will be removed in 2.13.
  * Renamed FirefoxProfile.alwaysLoadNoFocusLib() to
    FirefoxProfile.shouldLoadNoFocusLib(). Deprecated original
    method. Will be removed in 2.13.
  * Better reporting of page size when attempting to move out of bounds.
  * More informative error message when a remote webdriver client
    fails to connect to the browser.
  * PageFactory now only decorates WebElement lists.
  * Calling WebElement.clear on a disabled or readOnly element will
    throw an InvalidElementStateException.
  * WebDriver.getWindowHandle will throw a NoSuchWindowException if
    the window is closed.
  * FIXED: 1498: HtmlUnit no longer finds containing element when
    searching by CSS.

Grid
  * Made Grid orphan check only apply to Se1 clients.

Atoms
  * Implemented clear action for contentEditable elements.


v2.11.0
=======

RC:
  * Safari proxy added back to the supported browser.


v2.10.0
======

Grid:
  * Stability and reliability fixes.
  * A single node can now process both selenium 1.0 and selenium webdriver requests.  Old proxies deprecated.
  * FIXED: 2617: Removing unnecessary logging.
  * FIXED: 2650, 2400: Unregister dead nodes.

WebDriver:
  * FIXED: 2700: Don't throw MoveTargetOutOfBoundsError where we shouldn't.
  * FIXED: 2301: Allow commas in CSS selectors.
  * FIXED: 2099: Occasional XPath lookup errors.
  * FIXED: 1771: Don't scroll unnecessarily.
  * FIXED: 2674: Don't incorrectly decorate List<WebElement>s which don't have @FindBy annotations.

Javascript:
  * Added jsapi, including node integration.  More details to come.

General:
  * Updated version of guava used to 10.0.1.

v2.9.0
======

Project:
  * ThoughtWorks code grant to the Software Freedom Conservancy complete.

WebDriver:
  * Support for Ice Cream Sandwich in the AndroidDriver
  * CSS Selector support enabled for Android
  * Remote webdriver server log now contains '[HTML source]' instead of full
    source.
  * Better respect for preformatted text in WebElement.getText()
  * Adding better error message when failing to connect to the FirefoxDriver.
  * Reduced scrolling during tests for IE and Firefox.
  * Preserve the state of modified keys when using native events on Linux.
  * Support for experimental page load detection in firefox. Set the
    "webdriver.load.strategy" to "fast" in the FirefoxProfile to enable less
    conservative page loading detection at the risk of greater test
    instability.
  * FIXED: 2031: Shielding backslashes when writing preferences to a file.
    There is an issue with Firefox: it drops \n and \r when it moves user
    preferences to prefs.js. This patch is a workaround.
  * FIXED: 2223: Clicks on labels are now propagated to the referenced element.
  * FIXED: 2646: PortProber no longer attempts to divide by zero.
  * FIXED: 2675: Better detection of where to click on links.

RC:
  * FIXED: 569: Making assert and verify methods NPE-safe.


v2.8.0
======

WebDriver
  * FIXED: 1967,1934: Temporary directories no longer fill up disk.
  * FIXED: 2295,1899: Better handling of select/option tags in HtmlUnit
  * Disabled elements won't be cleared any more
  * FIXED: 2531: Allow setting frozen firefox profile preferences to their frozen values.
  * FIXED: 2509: Fixing error=24 too many open files bug
  * Added setFileDetector to RemoteWebDriver to allow files to be uploaded to the remote server
  * Faster error reporting if chromedriver isn't executable
  * FIXED: Occasional ClassCastExceptions
  * FIXED: Proxy configuration NullPointerException problem
  * FIXED: 1326: Allow parallel execution of FirefoxDriver on Linux with native events
  * FIXED: 384: Fixed native FirefoxDriver crash on some 64-bit linux systems
  * FIXED: 417: Allow @FindBy annotations to be put on List<WebElement> as well as just WebElement fields
  * Added native event support for Firefox 7
  * Added constructor to ChromeDriver that lets you specify the ChromeDriverService as well as the DesiredCapabilities
  * FIXED: By.linkText now always trims leading and trailing whitespace
  * FIXED: Issues with doubleClick in Firefox

RC
  * FIXED: 1934: -singleWindow works for *iexplore
  * Selenium Server params work with RC Grid configuration
  * Adding support for Firefox 8

v2.7.0
======

WebDriver
  * FIXED: 2487: FirefoxDriver no longer types in the URL bar.
  * FIXED: Issues to do with not clicking on elements out of view when using
    native events.
  * FIXED: 2456: Double click and get no longer hangs Firefox.
  * Improved emulation of Selenium RC when using Opera in the
    WebDriverBackedSelenium.
  * FIXED: 2421: Chrome returns doubles instead of ints because it supports
    sub-pixel rendering.

RC
  * FIXED: #2413: "Missing space between browser name and custom path in error
    message"
  * FIXED: 2390, 2477: Make -h a synonym for -help

Automation Atoms
  * Allow bot.dom.getInViewLocation to scroll a specified location into view.


v2.6.0
======

WebDriver
  * Better handling of the case where emphemeral sockets are exhausted.
  * More widespread use of the InvalidSelectorError in Chrome and Remote.
  * When using native events, prevent firefox from scrolling if an element is
    already in the view.
  * Improvements in the mouse emulation (movement, click, double click, context
    click)
  * Bumped included version of OperaDriver to 0.7.1.
  * Attempt to address issue #1443 (the infamous "getWindow() == null" problem)
  * Added timing information to WebDriver exceptions resulting from command
    invocations in the remote driver.
  * Added an ExpectedConditions class with common ExpectedCondition
    implementations.
  * Better usage of sockets in the remote webdriver

RC
  * WebDriver-backed Seleniums will now clear text fields before typing.

Grid
  * Significantly improved thread safety.
  * Improved information on the index page of the hub.

Automation Atoms
  * bot.inject.executeScript* handles function arguments better.
  * Add atom to get the frame index of a frame element (bot.frame.getFrameIndex)
  * Added emulation of touch devices and events
  * Use DOM Events level 2 and 3 for events IE if available


v2.5.0
======

WebDriver
  * Firefox 7 support without Native Events
  * Implementing scrolling past the viewport for Firefox
  * FIXED: 1020: Clicking on a link over multiple lines in Firefox
  * Minor cleanups of code

Grid
  * FIXED: Thread Safety Issues
  


v2.4.0
======

WebDriver:
  * Firefox 6 support.
  * Change in the wire protocol to bring alert checking inline with the
    semantics of other commands.
  * Improved text handling: non-breaking spaces are now returned as spaces, even
    in the middle of an existing body of text.
  * Minor fixes for detecting whether elements are visible.
  * Added handling of lists and maps in EventFiringWebDriver.executeScript().
  * FIXED: 2158: Fixing HtmlUnit select element getAttribute behaviour for
    "multiple" attribute.
  * Better handling of cookies in the remote webdriver (particularly Chrome)
  * FIXED: Thread safety issues.
  * Added clear app cache to the wire protocol.


Selenium:
  * Firefox 8 support.
  

v2.3.0
======

WebDriver:
  * Better detection of clickable areas in Firefox.
  * Alert handling works in Chrome.
  * Merge of Google-contributed code into the underlying Atoms.
  * FIXED: Internet Explorer crashes when an element has empty text and getText called.
  * FIXED: IBM JDK throws different exception when unable to bind to a socket.


v2.2.0
======

Selenium RC:
  * Avoiding double quoting the "method" when captured network traffic is
    returned via XML.

WebDriver:
  * relatedTarget now set on appropriate events (mouseover, mouseout)
  * Multiply wrapped WebElements now unwrapped properly when using the remote
    webdriver
  * RemoteWebElement will reuse an ID if the element has been looked up before.
  * Better warnings for emulated Selenium methods "allowNativeXpath" and
    "useXpathLibrary"
  * More consistent errors when an xpath expression returns something that is
    not a WebElement (indicated via the InvalidSelectorException.

Grid:
  * Adding support for a "host" variable in the config files.
  * Additional logging


v2.1.0
======

WebDriver:
  * Round to 0 if something looks like it's off the edge of the screen when
    calculating distances. Fixes issue 1776.
  * Deleting the deprecated TimeoutException inner class and replacing with the
    top-level one

Grid:
  * Properly form the HTML output for console display.
  * Track when a session has become orphaned.  I.e., when the client sends no
    commands after the initial session creation.  This almost always indicates
    the client is no longer connected and the session is unusable immediately.
commit 65288aaf32f12dacccfe67403a0c9ac00ac26f33
Author: Jim <james.evans@salesforce.com>
Date:   Thu Oct 17 11:06:16 2013 -0400

    Updating javadocs for 2.36 release

commit 22bd47212e63c28f1cd1397c9f58a5f8e577d2f8
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Oct 17 11:00:51 2013 -0400

    Bumping version numbers for 2.36 release

commit 8245d32a8a6773e7bf388021c2567ee247f793b1
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Oct 17 16:02:56 2013 +0400

    Temporarily disabling testShouldThrowIfUrlIsMalformed in sauce

commit bcf336999af09bbbc20ce5a11c5483bc05802f66
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Oct 17 12:36:01 2013 +0400

    Updating htmlunit to 2.13

commit f262ad8433f3c867b0d6ce5b2ce445cd46498887
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Oct 17 00:30:16 2013 +0400

    Adding a new test for opening malformed URLs

commit 686eb681d7cd7ebac6c6beb4c62dcd8a48a7d387
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 17:57:52 2013 -0400

    Skipping IE6 JavaScript tests for features not supported by IE6

commit a6fe66659707cb321b3f2ec24b11d369d0d2d85c
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 16:11:59 2013 -0400

    Fixing IE driver bug in getting element location

commit 7f8cda4ffbc695322087b81590834e71960b19b0
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:43:07 2013 -0400

    No, really fix compile error in Java PositionAndSizeTest.java

commit 1a6483a8c44983f71b35e283981c3c75b1c0be56
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:36:06 2013 -0400

    Fixing compile error in Java PositionAndSizeTest.java

commit a9068a8581ef65053780ea0d5e29a073714fd898
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:26:04 2013 -0400

    Ignoring invalid test for IE6.
    
    IE6 doesn't handle fixed-position elements correctly.

commit 98195bcc48340d807a61d8f4c77f1fab276d898b
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:25:36 2013 -0400

    Updating IE prebuilts

commit 5cf3f9809c93d9b014a719669f1dd23c32a32b73
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:05:15 2013 -0400

    Updating .NET tests to remove RenderedWebElementTest
    
    This makes the .NET tests more aligned with the Java test suite.

commit 7db297c0b66bb597a071a64abc49b0a8e1a50a83
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 13:02:33 2013 -0400

    Adding padding for IE < 8 for getting invisible element location
    
    Element location returns a position 2 pixels off for invisible elements on
    IE 6 and 7.

commit a2e5c1f0f1cece1a7dd90b1f3e2b5340f63a6b7f
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 16 12:59:16 2013 -0400

    Moving handling of non-integer element size in IE10 to correct place
    
    This change partially reverts revision 26bee3e99aa6, and moves the
    rounding of the size to integer values to
    webdriver.atoms.inject.dom.getSize.

commit 408d97fe79517fc365ac37b9cb071d624b40323b
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Oct 16 19:38:29 2013 +0400

    Increasing max supported FF version up to 27.*

commit 4a8191c370a5e6242e3638829e7e026baa9a7059
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Oct 16 18:40:38 2013 +0400

    Updating httpclient to 4.3

commit 6a31be1419807b7a6ea32db8958324a0ace80f26
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Oct 15 16:21:51 2013 -0700

    Remove trailing whitespace

commit c378f5f654eefb85735730c4b68667a2fb7864a7
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Oct 15 15:33:25 2013 -0700

    Whitespace and import clean-up.

commit 373881473fed5da249b84acf8cd46ceccbe75a5b
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Oct 15 15:16:59 2013 -0700

    Whitespace change to test CI is picking up changes again.

commit 11514161c2db3a9e8ed70a8b5aff77f49d3502ac
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Oct 15 13:50:04 2013 -0700

    Bump js binding version to 2.36

commit 8653277f2a3d71178cd1e28a9916959838e2a6df
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Oct 15 16:43:28 2013 -0400

    Missed a .NET assembly version

commit 94fe68349f5c5e99dd6a1c58a7d3013ea0f0b417
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Oct 15 16:42:36 2013 -0400

    Bumping .NET bindings assembly versions for impending 2.36 release

commit 8efd62de62b36bd75ffb11ebbc697f2a5b584074
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Mon Oct 14 13:51:12 2013 -0700

    Return an empty string instead of "null" when the browserName and version
    capabilities are not set.

commit a0ffb84653747fa159f6d08d01483457acc752a0
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Mon Oct 14 10:14:12 2013 -0700

    Stop propagation of the webdriver-evaluate custom event when executing user
    supplied JavaScript. Without this change, the event handler will trigger
    twice for async scripts, causing the driver to attempt to evaluate the user
    script twice, leading to unpredictable behavior.

commit 5e9ea0e21d0ea1325ff9677c3bbd12b52d519234
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Sun Oct 13 14:05:16 2013 +0200

    Fix Selenium IDE icon not appearing on the toolbar for some users. Fixes issue #5712

commit 7e373abc81aefc305b57832adf67df31d9754a77
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Oct 11 16:32:24 2013 +0400

    Fixing Javadoc for getAttribute. Fixes issue 2443

commit be1a4e3930a7a5130c745e688796f3c1a03fdc25
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Oct 11 12:47:12 2013 +0400

    Adding a new pause action to the interactions API (java binding)

commit a28a6322ad40465b14b409fc4843bc76b7c75251
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Oct 11 11:29:50 2013 +0400

    Refactoring

commit 30d8bd61998f548f777d7cdb1c3d0e83a39237a6
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Oct 10 21:24:27 2013 +0400

    Code cleanup

commit e4e960239dd0cd28ecd53e18b79f9b57f85253a4
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Oct 10 17:08:09 2013 -0700

    Allow args to passed to the JVM using the jvmArgs option.
    
    Fixes issue 6346.

commit ce1ee07f792adcba887b5da62103b1fa70db57ff
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Oct 10 16:51:02 2013 -0700

    The Augmenter does not appear to work in the Android server, so fall back to basic adapters (which will yield more useful stack traces on errors anyway).

commit caa57c0af5bbf99a432028106043bcfb9442b93d
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Oct 10 10:44:56 2013 -0700

    Improve support for using the HTML5 APIs through the remote
    server by augmenting the session driver before attempting to
    access HTML5 capabilities.  If the driver does not support the
    requested feature, throw an UnsupportedCommandException instead of
    a ClassCastException.

commit 0a4fae0a83b8694399da3a87aceab7526acfff75
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Oct 10 12:44:27 2013 -0400

    Fixing HTML dialog logic for self-closing documents.
    
    HTML dialog windows opened using showModalDialog() have no way to
    properly notify of their closing. The IE driver attempts to detect
    closing of these windows by listening for user-initiated actions,
    either by calling the WebDriver close method, or clicking on an
    element that causes the dialog to close. This commit adds logic to
    the method used for getting all window handles to validate the
    existence of any HTML dialog windows, properly notifying the driver
    if the OS-level window handle is no longer valid. Fixes issue #6249.

commit 2cc5f4ae358e415778b21c927377d1d799a6eafd
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Oct 10 11:10:56 2013 -0400

    Fixing HTML dialog logic for redirected documents.
    
    Getting the parent window of an HTML dialog's document can fail,
    especially if the document changed out from under us before we could get
    the window reference. The canonical case for this is a redirect using
    JavaScript. Now we will sleep for a shorttime, then retry to obtain the
    reference to the window object. Fixes issue #6224.

commit 67316f71b0748a1464daaebc67a39a9865d2200e
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Oct 10 08:08:49 2013 -0400

    Increasing IEDriverServer logging when waiting for navigation
    
    This commit adds more detailed logging while the driver is waiting for a
    page navigation to complete. It provides log lines for all of the cases
    where the driver would consider the navigation to be incomplete, in
    addition to logging the actual values for ready states when not found to
    be 'complete'.

commit f9fc279f1d77d54bd7e470b6f66ad6421f0077fc
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 9 13:49:28 2013 -0400

    Simplifying setting of bot.userAgent.WINDOWS_PHONE per review comment

commit abccd5425e758242b1b728fe7e4e260ef77b3f1f
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 9 12:50:50 2013 -0400

    Do not issue click for option elements on Windows Phone

commit fc7d57f62e1903d218e108721f8902464585b707
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Oct 9 11:51:10 2013 -0400

    Adding attribute to C# generated atoms file to allow skipping static code analysis

commit a26523f1adff1205ec01c4373ba20e3390307d9d
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Fri Sep 27 11:48:33 2013 -0400

    Updating C# atoms creation to use static properties instead of fields

commit 061a29a87adc276734ef0a9113a63c36a820bdae
Author: Brett Porter <brett@apache.org>
Date:   Wed Oct 9 16:36:01 2013 +1100

    fix for small typo in variable in error message

commit c779ac5250c2346a46dd2c50768269d5e37e49b8
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Oct 8 13:38:32 2013 -0700

    When registering the FirefoxDriver's binary components, do not use multiple
    appversion constraints, as form a logic or:
    https://developer.mozilla.org/en-US/docs/Chrome_Registration#appversion
    
    Instead, use appversion+platform to designate what version of each
    binary-component to load

commit 2680b7e443e1fb50dacae737ee3adcfe93d2ffcd
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Oct 4 13:46:47 2013 -0700

    Change a test to use embedded resources if available. If the resource is not
    found in the (e.g. running from an IDE), it will fall back to the old
    behavior of building it directly.

commit 9cbe465b10d5db26194d073289ca3e54ee94aeb5
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Thu Oct 3 16:58:04 2013 +0200

    Add ability to fetch slotCounts from /grid/api/hub:
    
    The resource looks like this:
    
      { "slotCounts": { "total": 20, "free": 8 } }

commit 9b49f2f46ed0a3c744e2b5232994207e7dd7ab50
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Oct 3 21:06:43 2013 +0400

    Makes native events on by default for IE.
    
    Fixes issue #4695.

commit 11846cea7b1e01509b1725d3c7965b7f4c562e5c
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Oct 3 20:57:26 2013 +0400

    Makes default capabilities sets minimally consistent for all bindings.
    
    What's done:
    
    1. C# binding
    * fix htmlunitwithjs caps
    * fix platform for chrome caps
    
    2. java binding:
    * add htmlunitwithjs caps
    
    3. javascript binding:
    * fix ipad, iphone browser names
    * add htmlunit, htmlunitwithjs caps
    
    4. Python binding:
    * fix platform for safari caps
    
    5. Ruby binding:
    * adds htmlunitwithjs caps

commit 4fdbf48e023d4b5d053cdd0bd4501528bd59b7e2
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Oct 3 19:24:24 2013 +0400

    Adds ability to set opacity for Color object (on behalf of Mark Collin).
    
    It allows to use Color if color data have different channels
    for colors and opacity, i.e. each input color has
    hex "#ABC" and Z opacity value.
    
    Fixes issue #4735.

commit 8eedb3023dba70c454455e7f95b8360471844416
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Wed Oct 2 18:34:16 2013 +0400

    Adds test case for issue #4301

commit adacc9dcf70800290f3566bacf945a45ed42658c
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Oct 1 18:38:54 2013 +0400

    Fixes some server and client javadocs.
    
    Fixes issue #4290.

commit 68ae867e03c148c0352978d89a9a47e07858e2d9
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Sep 30 19:19:01 2013 -0400

    Exposing webdriver.atoms.inject.executeScript and .executeAsyncScript as atoms

commit c1b72668a78a0c37e185ca786c339b553498662e
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Sep 30 19:04:41 2013 -0400

    Updating JSDoc type annotations to correct closure compilation

commit 02f2c08e3fde0d944672762edbc1c84250aecaa9
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Sep 30 17:30:38 2013 -0400

    Updating injectible atoms to be aware of window context
    
    This allows the functions in dom.js and action.js to be able to take an
    optional window argument. If omitted, the functions use the top-level
    window context.

commit 714bff3249ba083a4b36eb3ee4af97fc13130ac3
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Sep 30 13:44:39 2013 -0400

    Exposing bot.inject.unwrapValue

commit 26bee3e99aa6498b88d442dfa34286ed624e5044
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Sep 30 17:26:02 2013 -0400

    Resolving floating point values for getSize in IE10
    
    Changing bot.dom.getClientRect() to force return of integer sizes for each
    dimension of the rectangle.

commit 365b60a0737d7c159056fbc0ee762bf2598abf15
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Sep 27 15:00:25 2013 -0700

    White space change to test push

commit 3771e304b6fb7889b1bb237a134d32bb935a6916
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Sep 27 13:45:59 2013 -0700

    Update webdriver.atoms.inject.locators.* to support finding elements
    in another window or frame. The search operation can no longer be
    piped through bot.inject.executeScript since it violates the contract
    of only referencing symbols defined in the context of the target
    frame.

commit 7a90f730f3935117636663c2272d1f8132caa6ba
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Sep 27 09:41:41 2013 -0700

    Pushing some changes as 2.35.2

commit 6b0f50446bbe92e47671e0a844739bdf1b8517ec
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Fri Sep 27 14:45:49 2013 +0200

    Add ability to fetch newSessionRequestCount from the /grid/api/hub resource.

commit 1b5b7980665ce4f85733baacdb1682b4b05ed696
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Fri Sep 27 14:44:24 2013 +0200

    Slight cleanup of HubStatusServlet

commit fcf708fa74e2e5c2115b7c63781d5797e6b626e4
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Sep 27 00:48:28 2013 +0400

    Another attempt to prevent log message duplication on the console, without
    deleting all handlers

commit 16cbdf2a6a71078acec73033063fbea920383a3c
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Wed Sep 25 09:36:13 2013 -0700

    Add a few more tests for webdriver.atoms.inject.executeScript

commit 0ff44ccc9aa327082bd00d5d0235d9078c607d03
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 25 11:15:27 2013 +0400

    Implementing elementScrollBehavior capability in FirefoxDriver

commit 92ca8eeee3e3d4c09e68740a80187ed6cbbb9d2f
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Sep 24 18:41:55 2013 -0400

    Updating crazy-fun javascript compiler to output C#

commit 0bbedede736205ab2cde45d1e8feb8279defb0b5
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Tue Sep 24 12:21:59 2013 +0100

    Bumping the version of wgxpath, which also means bumping the android apk.

commit 822467eb7b4733476e24e158f6e06cb909ab01db
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Tue Sep 24 10:47:17 2013 +0100

    Bumping the atoms version used by the android apk

commit ef01820d2a07fd60455fc712fee6281f0f5ae0e9
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Mon Sep 23 12:35:17 2013 -0700

    Do not use SauceDriver to check the effective platform as that will
    fail when running locally

commit 03272459696c1ae34f74dcd7d92c0acaa8e5512e
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Sep 20 15:24:21 2013 -0700

    Pushing atoms changes.
    - Reconciling the many "scroll into view" functions in bot.dom
    - Allow typing on an element that is already in focus, even if it is not
      "interactable" (e.g. page JS focused an offscreen DIV)
    - Lint clean-up

commit cbd1789babfdce8d5b6fa100d561ab6394a9be0c
Author: Kevin Menard <nirvdrum@gmail.com>
Date:   Sun Sep 22 19:25:27 2013 -0400

    Don't remove log handlers since this makes it impossible to customize the logging system.
    
    This effectively reverts bcc284686ce7b994ac47308b52b87d292cfabe2f.

commit e80f9ca58ddddc0dbfeb02e4d3350fbb7c301609
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Sep 20 22:48:04 2013 +0400

    Fixing getLocation to work on scrolled pages

commit 2259144613bf5cf111a900616744e4b203af3c66
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 20 19:05:21 2013 +0400

    Makes subclasses of By serializable.
    
    Fixes issue #2670.

commit 6fc251e8afd9cef62a72bba5a71b1bdf02ad5d1d
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 20 14:22:53 2013 +0400

    Adds noProxy info to Proxy JSON object information

commit f0f0a744cf7f38b1ceb828e8951b11093c49fdbf
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 20 14:22:24 2013 +0400

    Deletes httpsProxy usage which is duplicate of sslProxy.

commit 6011f1a9c62fe27182d552e18fda2471771f5b43
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 14:41:31 2013 +0400

    Adding more informative error message. Fixes issue 6293

commit c94c3153619452c1881c90788f82e8100fa2f465
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 13:52:20 2013 +0400

    Ignorin newly added tests in Opera

commit bfc98c5e3096995339e3a54ed84d473b09f329b0
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 02:46:13 2013 +0400

    Implementing a safer way to convert objects to string

commit 808f0e73b66cf6fa2b83097bd5299c4716bb4ac7
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 02:02:43 2013 +0400

    Adding tests for clicks to wrapped inline elements (a and span)

commit 5ee7d7fcf79adaaa5aba71af8588e9b627de7d95
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 00:27:53 2013 +0400

    Tests should not depend on external pages, even Google :)

commit 44e1e5d0d9c1bda6795672fd8ad13f5521416e9d
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 00:15:55 2013 +0400

    Renaming a test method

commit 3d4f2b980b529a21c847604ea6cc016b5ae9aee0
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 19 00:15:08 2013 +0400

    Removing a reference to a deleted test class

commit 32e6a44103e46c91607b04778902f07abe335463
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Sep 18 17:57:57 2013 +0100

    Bump the guava version to 15.

commit 7ff4763f38a6d6cefee2c37c0de7b7ae12b9c50a
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Sep 18 12:03:54 2013 -0400

    Adding ability to set additional ChromeOptions in the .NET bindings
    
    This allows the ability to set user profile preferences and local state
    preferences using the ChromeOptions class. The new
    AddUserProfilePreference and AddLocalStatePreference methods correspond to
    the "prefs" and "localState" capabilities documented in the chromedriver
    documentation. Note that the values passed in to these methods must be
    JSON-serializable, and no validation is done on these values at present.
    We now also allow setting the "detach" capability, which allows the user
    to specify that Chrome remain running after chromedriver.exe has quit.
    
    This commit also removes legacy code for the obsolete chrome.binary and
    chrome.switches capabilities, and changes the command line arguments to
    chromedriver.exe to include two hyphens, instead of one (e.g., "--silent"
    instead of "-silent").

commit d7b7e7f9f6ed6073caeb30d9260f3940027bbe09
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 18 18:44:19 2013 +0400

    Fixing possible ClassCastException if version is an integer number

commit 097339ca1c05b510707d1845ab9c27874a6142f5
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 18 11:14:24 2013 +0400

    I hope I've found at last the test that causes other tests to fail!

commit 5839b33000706b4851f9404b17dddda66551cb52
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 18 10:27:30 2013 +0400

    Avoid situation when a link continues on the next line, this case should
    be covered by a separate test

commit be8de96a5c15a2068244c68a65b92857eeff1137
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 18 00:43:10 2013 +0400

    Marking another test as suspicious to crash FF on Linux with native events

commit 07d5fcf72f39821c19412b568779a1f6acbf449f
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Sep 17 18:37:48 2013 +0400

    Cleaning imports

commit e3aed2c0bb4a06bfc73e458ceb1519a65a868fab
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Sep 17 12:57:39 2013 -0400

    Attempting to fix crashes with Firefox 24
    
    The extension manifest specifies two binaries for version 24. Attempting
    this crashes the browser on Windows (unknown on Linux). Commenting one of
    the binary components for version 24 avoids the crash.

commit 3debd9bb469ff5e40d3b1f86812bb717eb7717ff
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Sep 17 01:25:57 2013 +0400

    Fixing autoscrolling for elements located in frames

commit 47d931d8c0f1ff3d2277c79f08d8c031d74de375
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Mon Sep 16 09:42:15 2013 -0700

    Include executeAsyncScript in the Android atoms.

commit bb0f61e2a0ba69d9357068b769b6553b4def3205
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Mon Sep 16 14:45:08 2013 +0400

    Adding a new test (that fails in Firefox)

commit de668225abc94c42deb8c70fc6f39726e9e80d0b
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Mon Sep 16 12:02:42 2013 +0400

    Reimplementing a sample page for the test
    testShouldBeAbleToSwitchToTheTopIfTheFrameIsDeletedFromUnderUs to avoid
    false alarms

commit 40172d5409e4970ab3268080593b56d045f55790
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Sat Sep 14 15:45:04 2013 +0400

    Updating prebuilt linux libs for Firefox

commit 80170dcafcfe6f74110050f68f58aaa021240d17
Author: Seva Lotoshnikov <sevalo@google.com>
Date:   Thu Sep 12 22:09:33 2013 -0700

    Fixing a bug with accidental comparison a variable with itself.
    
    Signed-off-by: Simon Stewart <simon.m.stewart@gmail.com>

commit bb4296be40d0fc044302bce8474ce2f795ccbb8a
Author: Seva Lotoshnikov <sevalo@google.com>
Date:   Sat Sep 7 11:16:36 2013 -0700

    No-op cleanup. Disabling executable bits for a bunch of non-executable files.
    
    Signed-off-by: Jason Leyba <jmleyba@gmail.com>

commit 395fc78490e0fd66ffd2cccb7458cae7eeb54bbf
Author: Seva Lotoshnikov <sevalo@google.com>
Date:   Tue Sep 10 02:54:33 2013 -0700

    Adding explicit dependencies on stuff java_libraries depend
    
    Signed-off-by: Jason Leyba <jmleyba@gmail.com>

commit 5c5fa807258354ef90d54e6c3e6fc0919700a4fc
Author: Seva Lotoshnikov <sevalo@google.com>
Date:   Wed Sep 11 17:14:09 2013 -0700

    No-op cleanup. Replaced direct usages of Hamcrest implementation classes (those are located differently in different versions of Hamcrest) with using Matchers' factory methods.
    
    Signed-off-by: Jason Leyba <jmleyba@gmail.com>

commit 7173ef9c4bd9d3618efdc08ca10fefdcb31de71e
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Sep 12 09:12:18 2013 -0700

    Pass command line arguments to the Selenium server instead of to the JVM.
    
    Fixes issue 6200.

commit f6bba4fb9e67f23c3e2af84441bb5d555381d58f
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 12 18:53:14 2013 +0400

    Revert "Updating linux native events prebuilts for Firefox"
    
    This reverts commit 33ae3b40288ea3a46561a9024b1793f1c16e300b.

commit 834c31a6777c44d6eb801b0320aae22add1fc637
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 12 18:17:03 2013 +0400

    Converts offsets/coordinates/speeds to Integers in more safe way in Selenium grid node handlers

commit 71923b5e99328a8140fa73c050cdb2de7a6689f0
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 12 15:39:08 2013 +0400

    Fixes logical misprint for touchScroll operation of remote driver

commit fc395f18551dbf26faedb6fa722d23931b700cbd
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 12 15:37:51 2013 +0400

    Converts all offsets/coordinates/speeds into integers

commit 622b4445f2d8aafced07a48395e3c287e13936dc
Author: Julien Phalip <jphalip@gmail.com>
Date:   Fri Sep 6 23:39:01 2013 -0500

    Added WebDriver for Safari to python bindings. This fixes 5352.

commit 702f08df8a30cb7ed0c7976ef0c1307273d25ae0
Author: Jayakumar Chinnappan <jayakumareee21@gmail.com>
Date:   Thu Sep 12 11:13:22 2013 +0530

    Changing the way test file pattern is specified. Fixes the issue when running test targets with py3 on Windows.

commit 0624de655e02cc732ac9b80d482bafbb4a9781e5
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 12 02:53:35 2013 +0400

    Making an attempt to fix
    testShouldNotBeAbleToDoAnythingTheFrameIsDeletedFromUnderUs, it fails
    because a button is hidden behind the border of a non-scrollable iframe

commit 9816dfb15c3747af14308c69213c9949723eb272
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Sep 11 16:04:48 2013 -0400

    Updating Windows native event prebuilts for Firefox

commit 33ae3b40288ea3a46561a9024b1793f1c16e300b
Author: Jim <james.evans@salesforce.com>
Date:   Wed Sep 11 16:02:49 2013 -0400

    Updating linux native events prebuilts for Firefox

commit 04af1b86ab3faafaf23edf36d9b44d45821c4d46
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 11 13:57:34 2013 +0400

    Adding more debug prints to sauce driver provider

commit 2b6b34fa91c68cbb2efa53ea8139ea21507f956b
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 11 13:56:54 2013 +0400

    Adding a check that suite file has extention .html. Fixes issue 1759

commit 5d8ff93e7140f90b26c481612220a4939b33e630
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 11 12:02:51 2013 +0400

    Ignoring a recently added test that fails in IE

commit 9b379b1a4e430babf2bd12e4ca6873381ae7e493
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 11 11:56:50 2013 +0400

    Lowercasing tagnames

commit 675ae1e370cdb2da00da05d8c07106f1a7c049c7
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 11 11:48:15 2013 +0400

    Adding a sleep between attempts to set connection to sauce

commit bfa5c47d0b395902983a3e017cdab8a08f934f1d
Author: Luke Inman-Semerau <luke.semerau@gmail.com>
Date:   Tue Sep 10 21:56:42 2013 -0700

    Bumping build numbers in prep for FF24 to be released. (prebuilts on all platforms need building)

commit 254db7f2561fc9801496b5ff85ff7e8843036c03
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Sep 10 16:39:31 2013 -0700

    Introduce a mechanism for injecting a custom WebDriver provider into the
    Java test suite. This can be accomplished in one of two ways:
      - Using the -Dselenium.external.serverUrl system property to specfiy the
        URL of an external WebDriver server to run tests against. This server
        *must* conform to the JSON wire protocol.
    
      - Using the -Dselenium.external.supplierClass system property to
        specify the fully qualified name of a custom Supplier<WebDriver>
        implementation that can be found on the classpath. The designated class
        must have a public constructor that accepts two Capabilities objects
        as arguments for the desired and required capabilities, respectively.
    
    Sample usage:
    
    // Run the remote suite against an existing server:
    ./go test_remote jvmargs="-Dselenium.external.serverUrl=http://localhost:1234/wd/hub" log=true

commit 57675ffbee984f060b32db9b010baabd0a86002c
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Sep 10 15:50:59 2013 -0700

    Move //java/client/test/keystore next to the only two classes that use it.

commit bb35efef8ba4ed1c991ce092433d96aa622281d7
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Sep 10 22:50:19 2013 +0400

    Fixing native interaction tests broken by the previous commit

commit 86df38d185c5ee68d145a238fd21ec840b036b64
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Sep 10 19:28:49 2013 +0400

    Fixing drag-n-drop for elements in frames in Firefox with native events

commit bfcbbedb442415c79a6b5ececf402b8ff6776790
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Sep 10 16:24:11 2013 +0400

    Fixes drag and drop by offset behaviour in python binding as in all another bindings

commit ef4e0428733e8a6a42718ee04ca59907f2ba1635
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Mon Sep 9 17:48:52 2013 +0400

    Avoid adding webdriver extension to the profile if we use marionette, and
    use a random port

commit fe02f7862a5f6ef5c3ac9dc26a3c6216f0c77ce2
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Mon Sep 9 17:48:06 2013 +0400

    Adding a bunch of new (negative) tests for findElement(s)

commit 9bc36a18a67333bd7124d9fbdc108331038b92c7
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Tue Sep 10 00:32:12 2013 +0200

    getting ready for Selenium IDE 2.4.0 release

commit 4d5b02d2011bf04003de0a059824170ac4e472b2
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Mon Sep 9 19:45:27 2013 +0200

    Clear stored history for Base URLs, test cases and test suites. Fixes issue #6135

commit f8e0b5459009a7c0974e2387fc96591c5ab791e2
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Mon Sep 9 19:18:09 2013 +0200

    special keys shortened in Selenium IDE

commit 2d334bb7fb6d52fe8af0787134c366d2976636c6
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Sep 9 18:57:52 2013 +0400

    Adds test case issue #4241

commit b90b63142eb2bccb3820aae4867237ccf76f7769
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Sep 9 18:15:24 2013 +0400

    Add testcase for issue #6228. Improves message for MoveTargetOfBounds exception

commit de2a1a7f1126000fa70dc073b2ca56acf660a914
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Mon Sep 9 12:26:28 2013 +0200

    Adding support for plugins to provide user extensions that can handle webdriver playback. Fixes issue #5675

commit 755fee15fa5dc4c59ceded29e70ec244d729c0da
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Sep 9 14:28:38 2013 +0400

    Fixes affecting of default Chrome desired capabilities by launching local Chrome.
    
    Fixes issue #6231.

commit 921ea967fe3ffc502fce668da3104d731fb6a962
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Mon Sep 9 11:38:31 2013 +0200

    setting the value of a field is best done using type command in Selenium IDE

commit c208129443cbd3ff41afb5e2aeaba125a68e9d51
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 19:45:19 2013 +0400

    Fixes initialization of Proxy by capabilities when proxyType is set. This new behaviour is the same as at all another bindings.

commit e18d45a5dad340b465a70b4b6f0ffa15afae2da2
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 19:16:34 2013 +0400

    Updates wire for new SOCKS Proxy information

commit 3da6c1ae658d7b54ebdc0b6a7a2e1fb6471326bb
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 18:52:42 2013 +0400

    Adds missed HTMLUnit proxy test file

commit 7ec802699d1b09708ce1c69c57c081ae20e25e66
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 18:51:26 2013 +0400

    Add missed build dependency

commit 11f3c0e2933a3366c7257ad2e2e734a1d2685362
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 18:50:58 2013 +0400

    Implements for HtmlUnitDriver a support of SOCKS proxy and bypass proxy addresses.
    
    What's done:
    * support of SOCKS proxy address.
    * support of bypass proxy hosts (noProxy) for HTTP and SOCKS proxies.
    * tests
    
    Now you could specify proxy settings using capabilities,
    Proxy object or directly calling methods for existed driver.
    
    Be note that bypass proxy hosts should be a string of hosts delimited by comma
    and each host needs to be Java regex pattern.

commit 0aa9068d3fa4407fa81ef2cd9aee7c0c58d43f50
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 18:44:43 2013 +0400

    Enables support of SOCKS proxy at Firefox profile. This method is deprecated due the same is implemented inside fxdriver but i think still used.

commit 9d31a2baa0fa732e366f9d8685ecd601a7daea43
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 18:40:22 2013 +0400

    Enables SOCKS proxy support for Dotnet binding, fix set proxy type guard, makes noProxy value as JsonProperty, fixes exception message at proxy type validation

commit a3c63e8d5ec7ab66eb9e15ec5bc54fdb33c6079a
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 16:50:01 2013 +0400

    Adds tests for Proxy, fixes some guards for Socks credentials methods, fix guard for setProxyType method

commit 495bcbabd07c2107ed940c0087e84bbb024c4284
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 15:04:38 2013 +0400

    Enables SOCKS proxy support for Python binding

commit 06c104d68f957cbcb01a1b040308d6142c4ed1aa
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 14:12:42 2013 +0400

    Enables SOCKS proxy support for Ruby binding

commit bf46161bae7e1b8ee47a10facaa991eb9ea10380
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Sat Sep 7 13:24:03 2013 +0400

    Enables support of socksProxy capability at Fxdriver

commit efe2243a99d16cf268f6b705beb5184d81a735bb
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Fri Sep 6 13:58:39 2013 -0400

    Updating IE driver to latest automation atoms
    
    Fixes issue with SVG elements caused by changes to atoms.

commit a1d690c7e05726c131661b00994b60cb7ebb5c83
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Sep 6 16:40:58 2013 +0400

    Refactoring tests for driver.findElement(s), the next step is adding some
    new tests, especially negative ones

commit f972d7d4d7485fa1d7dd923c3897dbce2b57fd38
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 5 22:13:24 2013 +0400

    The final round of moving tests around

commit c466c884b5c3dfb5bf4d935e6875ba39a763becb
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 6 12:30:11 2013 +0400

    Handles case when Windows Registry does not have information about Firefox binary.
    
    In this case result is empty string which leads to IndexError.
    Fixed by handling empty result.
    
    For such system configuration the default Firefox location
    at %PROGRAMFILES% / %PROGRAMFILES(X86)% will be searched.
    
    Fixes issue #6165.

commit 63a0a47ee0b7d1abf330a218021180c573d3c4f7
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 6 07:11:20 2013 +0400

    Adds support for opera_binary capability of test slot.
    
    Now it's possible to specify opera_binary inside slot capabilities.
    Cpability opera.binary passed in new session request has bigger priority than
    opera_binary - as it's implemented for firefox_binary.
    
    Test case for *_binary support is extended.
    
    Fixes issue #6123.

commit f48f97f39ac7f4ce349a2a83838e277e4cfc0b73
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Sep 5 19:01:00 2013 -0700

    Support configuring a Selenium server without the default set of driver configurations.

commit 6b4ffabdebaee883a6a84de9ca091acf9d4c0dec
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Sep 5 18:58:57 2013 -0700

    Fix support for svg documents in the atoms

commit 085be5e5bcc2adc9862c8afc5ea628d3dbe85a67
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 6 03:37:09 2013 +0400

    Fixes quoting of cmd argument contains space for PhantmJS.
    
    Fixes issue #6163.

commit 5b09d83bc6c0a1d8b128f8d92d6166e4655c3ba2
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Fri Sep 6 00:42:59 2013 +0400

    Enables screesnhot and input abilities for Safari driver at Ruby binding

commit 12bf983bac2aea611a0c526fbb751a39dd37b9fd
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 5 19:12:52 2013 +0400

    Validates passed locator for find_element(s) methods.
    
    Tests for driver/element find_element(s) methods are added.
    
    Fixes issue #5690.

commit f4a77f26befb60966371423aba6c48d81653a1b4
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Sep 5 18:26:55 2013 +0400

    More test refactoring (moving test cases to more appropriate classes)

commit 1a2a14c40c4f79c7cd8b8d1d8aef50ec908f2f76
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 5 17:45:22 2013 +0400

    Ignore failed test until issue will be fixed at js atom

commit 62c7bff1462fc9ba371795714f75dcde012610f0
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 5 17:19:20 2013 +0400

    Adds new test case for issue #6072

commit 9655d18064b120070d5064dc0020b0a4b8c7cde4
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Sep 5 14:24:31 2013 +0400

    Disable iframe-related TakesScreenshot test for Chrome

commit bc87deab4cdec999164631344cbd0ef3c770c37f
Author: Seva Lotoshnikov <sevalo@google.com>
Date:   Thu Aug 29 02:03:38 2013 -0700

    Adding support for /status, /sessions commands to Python bindings. Python source file modes cleanup: 755->744.
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit 36be17715e2c077928c52d78a711133edee88cee
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 4 23:52:59 2013 +0400

    Resorting more tests to reduce fragmentation

commit 52acffa7323b615a3d4bd8ef41fdfd29714e1bf4
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 4 23:33:26 2013 +0400

    Moving a test for getTitle to a more appropriate class

commit fdf6ad8ce1fa79daed04698bd33a9288f4e6ad79
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 4 23:29:50 2013 +0400

    Moving all (2) test methods from OpacityTest to VisibilityTest to decrease
    test fragmentation

commit b7cb90976b544a806f89b675470760f55ff4afe6
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 4 23:09:04 2013 +0400

    Removing a duplicated test

commit 4ea7d71b268758d1b3e98305cbc95c5ac7efd59c
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Wed Sep 4 14:18:39 2013 +0200

    Add license to the gem spec.

commit e03ee47b1b7a0c5d1bc3c0d2bd322c512ccf1cc6
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Sep 4 14:52:35 2013 +0400

    Skipping a test that fails on Linux in Firefox with native events

commit d6a1e7ec91118852e1767067d150f9486319230e
Author: Kevin Menard <nirvdrum@gmail.com>
Date:   Wed Sep 4 05:15:07 2013 -0400

    Partially revert 2edd481 since it can cause the entire hub to deadlock if BaseRemoteProxy#getStatus blocks.

commit 929c9332024bef9cfef25b4de3dedcd53a5aafdc
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Sep 3 14:19:25 2013 -0700

    Account for the scrollbar size when computing an element's container dimensions for scrolling

commit 03343e51fef7897f8914a774ae451022eb37232c
Author: ddavison <daniel.jj.davison@gmail.com>
Date:   Sat Aug 31 03:36:25 2013 -0400

    logo should refresh page, and seperate help link should exist
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit aa67ba6b0cb9856a24f4ae223c4d91566e2e415c
Author: Luke Inman-Semerau <luke.semerau@gmail.com>
Date:   Thu Aug 29 10:43:30 2013 -0700

    chromedriver download is not in the selenium GC project. Updating python exception message

commit 1759e94f9e5d5b3a061950d6a4ab074402e411ca
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 29 11:40:46 2013 +0400

    Disabling cut-n-paste tests in Firefox on Linux with native events

commit f3020fdb9abcb8030c8c52016398d1faf541fcc5
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 29 11:21:27 2013 +0400

    Making window maximized when running JS tests

commit 474d147cf314e17ee08b7ac3471747f75ac7cb73
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 29 02:59:11 2013 +0400

    Revert setting small (800x600) window size, it breaks overflow_test

commit b9ff327b3ce69914f5624c94ce33a4161f8e9fb3
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 28 22:42:45 2013 +0400

    Simplifying code. No functional changes

commit a25cc95ed32c469682875d9b61bc08fb8eba8a30
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 28 22:30:52 2013 +0400

    Extracting a new utility method that scrolls frames

commit 523b2da1f230d8f79dc255d3eafd6e5e1237e243
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 28 20:54:52 2013 +0400

    Removing an unused method

commit 7b6579e9e3d31a9fd93744c0609bbe6e1c58b0f5
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 28 20:38:49 2013 +0400

    Simplifying element location/size calculation for image maps as
    bot.dom.getClientRect already implements it

commit a9617d6097dc9b5bc0adfe7c6c36d40389df5a94
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Aug 28 16:19:43 2013 +0100

    Breaking a dependency on SimpleJSON for the logging API in Java.
    
    We do this by removing the 'toJson' method and replacing it with a 'toMap' one.
    The BeanToJsonConverter has been converted to handle this case.

commit af5e1ea1e43600cc2318339e93de53c43a6487c8
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Aug 28 16:02:36 2013 +0100

    Updating reference to operadriver jar for IJ. No logical changes.

commit b740566d3ac3c6b318b447f0cb2177f599455ad9
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Aug 28 15:00:31 2013 +0100

    Bumping buck version again.

commit 5b60eb950acc9b265513c6ad411f12f675aef8b4
Author: AutomatedTester <dburns@mozilla.com>
Date:   Wed Aug 28 14:29:21 2013 +0100

    Removing hidden attribute code, I dont know why my initial tests failed in the past. Fixes issue 6177

commit 4905bb1bd94f184a7892bd69258e1d9048c11376
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Tue Aug 27 15:00:50 2013 -0700

    Bump version to 2.35.1

commit 13dff729531717781dccfffd14fc7b6011be1223
Author: Dima Kovalenko <dima@groupon.com>
Date:   Tue May 14 14:00:15 2013 -0400

    Adding HOST and IP to the exception returned to the client to make grid easier to debug
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit 4e408afe8ec08e1ef35ecb480d9d22bf54476a21
Author: Alexander Bayandin <a.bayandin@gmail.com>
Date:   Sun Aug 11 22:45:20 2013 +0700

    Fix old links to svn repository
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit 73d11bdabc811348e102b31cfe750b07845bbcb7
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Aug 27 14:04:47 2013 -0400

    IEDriverServer version number change only for public release to downloads page.

commit ddb653df828276a6bb01b5d8caadd93bc71bf603
Author: Corey Goldberg <cgoldberg@gmail.com>
Date:   Tue Aug 27 12:17:45 2013 -0400

    fixed pip link in python readme and index
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit 546d69207e8c7e4eb507e0b94ba4c5f43ce693c1
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Aug 27 15:10:20 2013 +0400

    Unignoring a test that passes locally in Firefox

commit eb65930ec32ec329877d261aa31d05181ff29eba
Author: Corey Goldberg <cgoldberg@gmail.com>
Date:   Wed Aug 21 11:53:06 2013 -0400

    updated python README
    
    copied README contents to index.rst
    
    Signed-off-by: Luke Inman-Semerau <luke.semerau@gmail.com>

commit 37dfb6885701c6c3fd403d67b1c654fd15840feb
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Mon Aug 26 20:30:29 2013 +0200

    Bump to 2.36.0.dev, depend on rubyzip ~> 1.0.0

commit d1e041e2863f02587a54f251c4eb57aa950c70a7
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Mon Aug 26 19:48:27 2013 +0200

    Ruby: release 2.35.1 with a strict pre-1.0 rubyzip dependency.

commit ae38ca3526774a3222d4f5becbb5714c25e0bc3f
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Fri Aug 23 01:43:14 2013 +0200

    Remove unused require
    
    Requiring iconv prevents the build from running on Ruby 2.0

commit e797f6eb0dddc73ed7f9dd78c3ebba7424bca7e1
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Mon Aug 26 20:18:20 2013 +0400

    Fixing frame scrolling, second try

commit 2d22cc09ff66c1e8ec23bac08ab8a98acfb7bc5c
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sat Aug 24 16:06:43 2013 -0700

    Replace jmock and easymock with mockito, which tends to yield less verbose tests.

commit 99c2a3d8beaa5ee5b539957f14415a442079b7df
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Sat Aug 24 14:15:52 2013 +0400

    Revert "Fixing one of the tests broken by recent atoms update (scrolling to an"
    It broke more tests than fixed.
    This reverts commit 9eeebf520f937989962c96985107c121ae3897cc.

commit 9eeebf520f937989962c96985107c121ae3897cc
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Sat Aug 24 13:17:01 2013 +0400

    Fixing one of the tests broken by recent atoms update (scrolling to an
    element in a frame that is out of view)

commit 44b6779c282f9a5751df3c6536f07705fc6ca3bf
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Sat Aug 24 11:24:44 2013 +0400

    Unignoring tests that are green locally. Fixes issue 3722

commit 730693e9b63e8efb542b5c5535e7dfc5d3394e2d
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Aug 23 23:53:32 2013 +0400

    Improving javadoc to correspond to the Specification

commit 7e9d12175d490a2420e430d6cd7f93df92b157ff
Author: Andreas Tolf Tolfsen <andreastt@opera.com>
Date:   Fri Aug 23 11:55:00 2013 +0200

    Upgrade operadriver to 1.5, compatible with 2.35.0

commit 81e8e5ced93d64dd0c5c81c2fabd67b143816786
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sun Aug 18 15:36:27 2013 -0700

    Prevent a NPE

commit 9ae35724ea9448f220b848ca1a9c52690ded3e7a
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 22 00:21:53 2013 +0400

    Ignoring a failed test in Opera

commit 0a9d94c26da8a89bad1f6fa2abba57604319aa1b
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 22 00:18:37 2013 +0400

    Adding some debug prints tp understand why CI does not pass correct
    parameters to sauce and does not attempt to reconnect on session start
    failure

commit e1e60436c2d8efc7e8190e6fdc1cb9f9f14978f5
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 23:01:59 2013 +0400

    Dumb mistake, chrome is not IE :(

commit 7cdb44137145caecf6bdd8ee712188fa73d27558
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Aug 21 12:10:23 2013 -0400

    Take document mode into account when getting size of view port of IE.
    
    When clicking elements in IE, we need to know if the element is in the
    view port, and this includes scroll bar calculations. However for sites
    that attempt to hide the vertical scroll bar in IE, this may result in
    different sizes based on the document rendering mode. Includes tests for
    clicking on a link at the very bottom of the view port.

commit b9ea4dba0b767e5e13599102b47df7907c1ea262
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 18:52:03 2013 +0400

    Run chrome tests on CI with chromedriver 2.2

commit aba8a3bac281cc98624cc6f8a7d13a2df5855397
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 18:24:13 2013 +0400

    Fixing a Safari test that uses a deprecated (and already removed) property

commit 9f9e1de49b6c25b1a75170fa0f4fce79e6bd2fe9
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 11:11:24 2013 +0400

    Revert "Fixing findElement to throw NoSuchElementException instead of
    StaleElementReferenceException". It was too vague and premature solution.
    
    This reverts commit c51550c542ab31337cc6f7b4fc8f47bb356d0386.

commit c0f42809675343c54f2f3aabb91de22505529c04
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 04:33:47 2013 +0400

    Using sendMouseEvent if there is no sendMouseEventToWindow, it is not
    present in Firefox 3. Fixes issue 6099

commit c51550c542ab31337cc6f7b4fc8f47bb356d0386
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Wed Aug 21 04:32:08 2013 +0400

    Fixing findElement to throw NoSuchElementException instead of
    StaleElementReferenceException. Fixes issue 6093

commit be6eed865f0745542658f62570605b7c203c5257
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Tue Aug 20 16:58:46 2013 -0400

    Refactored calculations to the size of the visible view port.
    
    There are circumstances where IE can have no vertical scroll bar. In
    these cases, the IE driver would assume there was a vertical scroll
    bar, which would make the actual width of the document larger than the
    computed width of the window. This, in turn, would make the driver
    assume there was a horizontal scroll bar, which would imply that
    absolutely-positioned elements at the bottom of the page would not be
    seen as clickable.

commit ec190cd375e782709645580d909720d3f0cd82db
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Tue Aug 20 15:40:04 2013 +0400

    Fixing HtmlUnitDriver to enter RETURN and ENTER to a text area. Fixes
    issue 5890

commit b0d8b72a6d93b6ea4ae4f2368fd998c37f4cb23b
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 20 00:58:45 2013 +0400

    Applies UI restriction for Global Atom Table during creation process under Windows.
    
    Done:
    * apply UI restrictions to process job: using own global atoms table
    * improve logging during errors: more error information
    * move some hardcode to Kernel32 space
    
    Should fix issue #5342.

commit 74cf79278170fc635bd0ab570e27e171ff8bd896
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sun Aug 18 11:26:19 2013 -0700

    Improve a test failure message.

commit 3be0659975f1783ee72ac1686b5d94fd164f21ed
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sun Aug 18 11:26:00 2013 -0700

    Filter out browser specific tests when that browser is not currently selected for testing.

commit 2b88acb6d81bb4206ecd2f176c5a17ab191b2f13
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sun Aug 18 11:04:24 2013 -0700

    Fix minor formatting bug

commit fe4038b6fe88a3b7db2cc88627be6fff420fea8e
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Sat Aug 17 12:10:49 2013 -0700

    Removing deprecated capability keys and other minor code cleanup.

commit df5c367085558ef82a064f3851c3df9a07cf5cff
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Sat Aug 17 14:44:28 2013 +0200

    Refactoring usages of Preferences.save into Preferences.setAndSave in Selenium IDE

commit 8c52d7d26b140213dc6c55f7121555d7b6acef75
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Sat Aug 17 08:34:33 2013 -0400

    Fixing .git-fixfiles script for changed directory name. Fixes issue #6119.

commit 158a7a3fceb42e2254e9b95be522d723250284aa
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Sat Aug 17 00:51:59 2013 +0200

    Selenium IDE will automatically reopen last test suite or case when developer tools are activated

commit 757d336317652394ad339951867f21cfe089fa5c
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Fri Aug 16 11:53:17 2013 -0700

    Syncing js changes, primarily refinements to visibility/overflow computations.
    This change makes two java changes to support running JS tests:
    - Restrict the window size when running JS tests as this matters for a lot
      of the overflow tests and not every browser supports window.resizeTo
    - When launching Opera, ensure geolocation is enabled by default

commit 165c765fd303c52576d11e81d957e154837cc9ab
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Thu Aug 15 14:37:36 2013 -0700

    Fix browser-based webdriverjs for Firefox.
    
    Fixes issue 6097.

commit cd5e8a08208fb3d8c4bcbd4c0999b12a87d7a5d1
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 15:06:57 2013 -0400

    Clearing out the last vestiges of the old IE build targets

commit 00a8dc27e38217a2f5836b6079620447f191f31c
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 14:52:11 2013 -0400

    Updating rakefile for changed paths.

commit 6d3901eea11c0410dd60af582f20c747b6af2892
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 14:38:37 2013 -0400

    Removing last remnants of old IE build target names

commit b99ff84da1116ac9681b529f71b72dfc54549c0a
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 14:27:09 2013 -0400

    Correcting one more instance of directory change

commit 33a1e24917c8c5cc993b1345abb8e0549968ab5d
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 15 20:19:04 2013 +0400

    Unignorind several tests for Chrome that pass locally

commit 16a6c30036f694537cdb4ad69c26a99a3622ef4b
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 15 20:04:00 2013 +0400

    Unignoring a test in Chrome that was linked to a fixed issue 2764

commit ac6566c387baae5e0fcffb690d1e9722e188e635
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 15 20:03:19 2013 +0400

    Minor modifications in IDEA project configs

commit c73baaca0a0ed6d79d5343b2ebda2f91f101187e
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Aug 15 19:41:52 2013 +0400

    Adding ability to set Chrome extensions by using base64 encoded strings for Java/Ruby/Python bindings.
    
    See revision 5a44887ac8b99e9863787c33ecde13a048b65e5f
    
    Fixes issue #4013.

commit 91319c7c05ab24ce87d240382ce040a4a7053a43
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 10:30:14 2013 -0400

    Tweaking addition of Chrome extensions in .NET
    
    Use a local list instead of the class-level member variable to prevent
    file-based extensions (.crx files) from being added more than once.

commit ab422d2e7bd3aa43e1f403aeec3c13a3cc0abbb4
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 10:27:09 2013 -0400

    StyleCop changes for .NET. No functional changes.

commit 5a44887ac8b99e9863787c33ecde13a048b65e5f
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 10:25:36 2013 -0400

    Adding ability to set Chrome extensions by using base64 encoded strings.
    
    Previously, you could only install extensions by using a path to a .crx
    file. Now you can embed the extension as a base64-encoded string, without
    having it persisted to the disk at all.

commit 85de6ddfd3ff827803f82edfb6cc8c3b898bada7
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 09:12:20 2013 -0400

    Fixing broken build with incorrect path names

commit fbd9df9cf52c37358354ea606fe2eaef08f8606a
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 07:51:50 2013 -0400

    Modifying build process for C++ components built with Visual Studio.
    
    Breaking out individual build artifacts to use individual build.desc
    files. Also renaming directory to lower-case to conform to project norms.

commit 3e8628be266ef55f02a0467842701c3d5f99709b
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Thu Aug 15 06:47:03 2013 -0400

    Updating .NET C# project files.

commit 5269f088d23204e1356d8eecdb990ee60f717b19
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 15 14:33:48 2013 +0400

    Better fix of "invalid NSResolver" that works for browsers that do not
    support document.createNSResolver (guess, what's the name of this browser?)

commit c6109270250490c1c345d3723977784506060b04
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Thu Aug 15 13:25:23 2013 +0400

    Fixes Java porting error with Select.select_by_visible_text
    
    There was a Java to Python porting error.
    
    In Java if nothing was found by passed visible text all options
    with text equals to passed visible text.
    In Python if nothing was found by passed visible text all options
    _contains_ first nonempty part of passed visible text are selected.
    So in Python you could check options by word of visible text.
    In Java/C#/Ruby you could not do it.
    
    Also tests for this behaviour are removed.
    
    Fixes issue #3910.

commit 1ba58ad0b09f63189e742a53f9306c1b319e3dab
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Aug 14 18:49:58 2013 -0400

    Removing unnecessary JSON converter for char arrays in .NET.

commit 7da094f39f9b6d52ea47d3d37e0ab28bd01f01d4
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Wed Aug 14 18:48:06 2013 -0400

    Reorganizing .NET bindings code structure.
    
    Embraces the concept of one build.desc file per buildable artifact. Also
    renames directories to make build targets easier to type.

commit 196dbbe31042ae8da3bd73ce3baf08aa996bf36d
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Thu Aug 15 00:30:24 2013 +0400

    Unignoring a passed test in IE and Chrome

commit 49ced2678bb1e0fef9da5f98fced69e7d390af2b
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Wed Aug 14 23:52:49 2013 +0400

    Disables supplementary input checks for Opera and native linux FF; disable stdout logging; try to fix I18nTest.testShouldBeAbleToReturnTheTextInAPage at IE10

commit 516616d076e348906239333cdcc40f464697dfac
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Wed Aug 14 19:01:00 2013 +0400

    Fixes unregistering of android/ios nodes from hub due too strict checking of result /wd/hub/status. Returning by node 200 response code (or 404 for RC) is enough for understanding that node is alive.

commit 2f2cdf39c4c1ca1322a50b00f7d7757eab7cdc4a
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Aug 14 15:57:30 2013 +0100

    Only send a webbit response once.
    
    Without this fix, webbit will flush the responses whenever "end" is called.
    This causes sane http clients to freak out. We don't want sane things
    freaking out. So let's not do that.

commit 1cfa129ff7f89f99323b3fd40aa5b1c7c3d36eff
Author: Simon Stewart <simon.m.stewart@gmail.com>
Date:   Wed Aug 14 14:08:08 2013 +0100

    Bumping buck to the latest version.
    
    This includes a change that allows tests using jmock to work as expected. Green bar!

commit 19c2586f4a6b038a61d6571fa00a0fab3feadef9
Author: Jari Bakken <jari.bakken@gmail.com>
Date:   Wed Aug 14 13:00:55 2013 +0200

    Bump Ruby version to 2.35.0

commit ea103349979364dcbb2b8dba225d9e876216fcdc
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Wed Aug 14 00:12:18 2013 +0200

    Fixing is* commands in Webdriver playback in Selenium IDE

commit a34758c3ba61087aa1b92eceec7cc9b652c25b50
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 20:47:32 2013 +0400

    Improves logging for registration default drivers at node

commit abe0cf8b954576bf88d17f39259ba3fb98c4ebdd
Author: Andreas Tolf Tolfsen <andreastt@opera.com>
Date:   Tue Aug 13 17:57:22 2013 +0200

    Document new Keyboard interface

commit 1bd781eaf073c0a98f1c6a9e7d86a06fb1cbc12f
Author: Andreas Tolf Tolfsen <andreastt@opera.com>
Date:   Tue Aug 13 17:56:56 2013 +0200

    Ignore root-level Eclipse project file

commit 0dcb892fab4b56614c2cfe15625f334b37162044
Author: Andreas Tolf Tolfsen <andreastt@opera.com>
Date:   Tue Aug 13 17:56:02 2013 +0200

    Ignore gtags files

commit 85152130998a7956a3bc1e0117d20b9c603067d2
Author: Andreas Tolf Tolfsen <andreastt@opera.com>
Date:   Tue Aug 13 17:14:39 2013 +0200

    Update operadriver to temporary 2.35 API
    
    Since the selenium-java Maven artifact has not been pushed I've not
    been able to push operadriver 1.5 (since Maven does the tagging and
    version pushing…).  This JAR will mostly be indentical to the 1.5 one
    which wil come soon.

commit 922768f8f07764a949ddbd783d87d6c55bd12238
Author: Alexei Barantsev <barancev@gmail.com>
Date:   Fri Aug 9 02:29:33 2013 +0400

    Disabling new tests in HtmlUnit that does not support 'hidden' html5 attribute

commit 4234b472a0756924a47d256d27bf956e695bcf77
Author: Luke Inman-Semerau <luke.semerau@gmail.com>
Date:   Mon Aug 12 22:12:32 2013 -0700

    updating pydocs for 2.35

commit 9b5b84fdb6a52f8e3029caea13da0795e798c313
Author: Luke Inman-Semerau <luke.semerau@gmail.com>
Date:   Mon Aug 12 22:07:05 2013 -0700

    bumping versions, releasing py 2.35

commit f0978e40b9beaf5500ef676ab798f3f954902f7e
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 08:15:28 2013 +0400

    Updates docstrings for InternetExplorerDriver.
    
    Fixes issue #5983.

commit da4616a8d148328d2f8c888a9a2b1b5110c37a4a
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 05:49:10 2013 +0400

    Ignores frame which can not be get by IHTMLFramesCollection2::item
    during waiting for page load complete.
    
    It prevents infinite page load at IE9 for page with frameset
    without cols and rows specified.
    
    Test case is added.
    
    Fixes issue 3211.

commit 9a9e856cbb39080c419d47132122cb188c6c6d68
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 03:54:12 2013 +0400

    flick is supposed to pass xspeed/yspeed (not xSpeed/ySpeed) on the wire.
    
    Fixes issue 5660.

commit f373ba0bcd061e9d8cec90de0a43c94910a407a8
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 03:06:08 2013 +0400

    Strips leading and trailing whitespaces for -browser parts.
    
    Fixes issue 5882.

commit 9a58c3ddd53fd055d0a604394995f0df71f1c328
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 02:54:16 2013 +0400

    fixes reading Chrome binary extension file in text mode

commit 822bb91a996c804d92469a3e286f421bc20ded0b
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Aug 12 19:14:22 2013 -0400

    Correcting version number in IE driver CHANGELOG

commit a27be1efb1d58c6d8be14072e91e0796e144d7bd
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Tue Aug 13 00:58:02 2013 +0200

    Implementing WaitFor* and WaitForNot* commands in Selenium IDE Webdriver playback. Fixes issue #5913

commit 257d96aaea40003cb978992db37dc2e005b4ddf7
Author: Samit Badle <Samit.Badle@gmail.com>
Date:   Sun Aug 11 13:35:07 2013 +0200

    Getting ready to support more webdriver commands in Selenium IDE

commit bf461773f67d0e7b73cd812f7a6bdec632136cfe
Author: Jason Leyba <jmleyba@gmail.com>
Date:   Mon Aug 12 15:57:40 2013 -0700

    Change webdriverjs example scripts to use chromedriver directly instead of
    starting the standalone java server.
    
    Fixes issue 6090.

commit b613c27a11b4c8eb11a84c523a3589d873658b48
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Aug 12 18:35:19 2013 -0400

    Update to correct active element finding when using synthetic events.
    
    Fixes issue #6088.

commit 69f8403ad2b730de559f19379d6809576a7f1e72
Author: Jason Leyba <jleyba@google.com>
Date:   Mon Aug 12 15:09:12 2013 -0700

    Bump webdriverjs bindings to 2.35.0

commit 86ff9d22e06eca2b100732f82f35f1cab512b43a
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 13 00:41:49 2013 +0400

    comment TakesScreenshot for failed browsers; comment testEnteringSupplementaryCharacters for Chrome and IE < 10

commit db9ebba962088d06e2fa3de6dab953a46cc8f2b5
Author: Jim <james.evans@salesforce.com>
Date:   Mon Aug 12 16:18:45 2013 -0400

    Updating javadocs for 2.35.

commit 8d1c7f60a329db6e914cd66298a3b0155e366c0d
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Aug 12 22:47:45 2013 +0400

    Limits screenshot at fxdriver by 32767 pixels.
    
    Done:
    * add limit 32767 pixels for screenshot sizes
    * improve logging at screenshot errors
    * update and cleanup TakesScreenshotTest test code
    * enable TakesScreenshot for Sauce test driver
    
    Fixes issue 5674.

commit 165e9af6780a63f861732218eec48f265266bfb1
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Tue Aug 6 23:14:41 2013 +0400

    Implement test for issue #5069

commit 040dd4d53f133a722431731d517876a4946bbbb8
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Aug 5 23:51:04 2013 +0400

    Remove duplicate 'get screenshot as file' methods.
    
    Add method 'get_screenshot_as_png' to allow get screenshot image binary data.
    
    Reuse code with these 3 methods.

commit 8c6cb1503271521c92d0a3fca8df7b55c3301b2c
Author: Alexandr Savchuk <a.u.savchuk@gmail.com>
Date:   Mon Aug 5 23:46:56 2013 +0400

    Remove duplicate and declared in parent code: create_web_element

commit 003d691b7314a2248a6f3e8951e4d9375bc09ccf
Author: Jim Evans <james.h.evans.jr@gmail.com>
Date:   Mon Aug 12 14:15:29 2013 -0400

    Updating .NET docs for 2.35.0
